dofile(LockOn_Options.script_path.."command_defs.lua")
dofile(LockOn_Options.script_path.."utils.lua")
dofile(LockOn_Options.script_path.."Systems/circuitBreakerHandles.lua")
dofile(LockOn_Options.common_script_path.."../../../Database/wsTypes.lua")

local dev = GetSelf()
local update_time_step = 0.1  
make_default_activity(update_time_step)

local master_arm = false
local isMinigunsTriggerDown = false
local GunLSelectPos = false
local GunRSelectPos = false
local stationInfo = dev:get_station_info(9)
local stationInfo1 = dev:get_station_info(10)

local optionInfos = get_plugin_option_value("UH-60L", "infosOption", "local")
local paramInfos = get_param_handle("USE_INFOS")

if optionInfos == true then
	paramInfos:set(1)
else
	paramInfos:set(0)
end

--print_message_to_user("InfosOption : " .. tostring(optionInfos))

--ANDR0ID Added
local pickle = false 
local WeaponChoice = false
local StationLO = false
local StationLI = false
local StationRI = false 
local StationRO = false
local ATAS_Ripple = false 

local stationInfoLO = dev:get_station_info(6)
local stationInfoLI = dev:get_station_info(5)
local stationInfoRI = dev:get_station_info(1)
local stationInfoRO = dev:get_station_info(0)

local stationInfoTLI = dev:get_station_info(2)
local stationInfoTRI = dev:get_station_info(4)

local WepsStationVal = 0
local release_timer = 0
local release_interval = 0.15 -- Time between rocket fires
local missile_interval = 0.01 --Time between missile fires for multiple pylons
local update_rate = 0.01
make_default_activity(update_rate)

local EightInMultiMissile = false 
local EightOutMultiMissile = false 
local EightSTBDMultiMissile = false 
local EightPortMultiMissile = false
local EightPortOffsetMultiMissile = false 
local EightSTBDOffsetMultiMissile = false 
local TwelevePortMultiMissile = false
local TweleveSTBDMultiMissile = false
local TweleveSTBD2MultiMissile = false 
local TwelevePort2MultiMissile = false

local MultiMissile = false

local LastMissileStation = 1 
--End ANDR0ID Added

--Weapons
dev:listen_command(Keys.TriggerFireOn)
dev:listen_command(Keys.TriggerFireOff)
dev:listen_command(Keys.MasterArm)

dev:listen_command(Keys.LMinigunToggle)
dev:listen_command(Keys.RMinigunToggle)
dev:listen_command(Keys.BMinigunToggle)

--ANDR0ID Added
	--Master Arm Dedicated Switches
dev:listen_command(Keys.MasterArmOn)
dev:listen_command(Keys.MasterArmOff)
	--Weapon Release Button
dev:listen_command(Keys.PickleOn)
dev:listen_command(Keys.PickleOff)
	--Station Selection 
dev:listen_command(Keys.StationLO)
dev:listen_command(Keys.StationLI)
dev:listen_command(Keys.StationRI)
dev:listen_command(Keys.StationRO)
	--Rotary Station Selection
dev:listen_command(Keys.WepsStationSelInc)
dev:listen_command(Keys.WepsStationSelDec)
	--ATAS Mode
dev:listen_command(Keys.StingerRipple)

--End ANDR0ID Added

function SetCommand(command,value)   
 --ANDR0ID Added
	if command == Keys.PickleOn and master_arm then
		pickle = true
    elseif command == Keys.PickleOff then
		pickle = false
		release_timer = 0
	end
	
	if command == Keys.MasterArmOn then
		master_arm = true
    elseif command == Keys.MasterArmOff then
		master_arm = false
	end
	
	if command == Keys.WepsStationSelInc then
		WeaponChoice = true
		WepsStationVal = WepsStationVal + 1
		if WepsStationVal > 5 then
			WepsStationVal = 5
		end
	end	
		
	if command == Keys.WepsStationSelDec then
		WeaponChoice = true
		WepsStationVal = WepsStationVal - 1
		if WepsStationVal < 1 then
			WepsStationVal = 1
		end
	end
	
	if (stationInfoLO.weapon.level2 == wsType_Missile and stationInfoRO.weapon.level2 == wsType_Missile)  then
		EightOutMultiMissile = true 
		else 
		EightOutMultiMissile = false 
	end
	
	if (stationInfoLI.weapon.level2 == wsType_Missile and stationInfoRI.weapon.level2 == wsType_Missile) then
		EightInMultiMissile = true 
		else 
		EightInMultiMissile = false 
	end
	
	if (stationInfoLI.weapon.level2 == wsType_Missile and stationInfoLO.weapon.level2 == wsType_Missile) then
		EightPortMultiMissile = true 
		else 
		EightPortMultiMissile = false 
	end
	
	if (stationInfoRI.weapon.level2 == wsType_Missile and stationInfoRO.weapon.level2 == wsType_Missile) then
		EightSTBDMultiMissile = true 
		else 
		EightSTBDMultiMissile = false 
	end
	
		if (stationInfoRI.weapon.level2 == wsType_Missile and stationInfoLO.weapon.level2 == wsType_Missile) then
		EightPortOffsetMultiMissile = true 
		else 
		EightPortOffsetMultiMissile = false 
	end
	
		if (stationInfoLI.weapon.level2 == wsType_Missile and stationInfoRO.weapon.level2 == wsType_Missile) then
		EightSTBDOffsetMultiMissile = true 
		else 
		EightSTBDOffsetMultiMissile = false 
	end

	if (stationInfoLO.weapon.level2 == wsType_Missile and stationInfoLI.weapon.level2 == wsType_Missile and stationInfoRI.weapon.level2 == wsType_Missile)  then
		TwelevePortMultiMissile = true 
		else 
		TwelevePortMultiMissile = false 
	end
	
	if (stationInfoRO.weapon.level2 == wsType_Missile and stationInfoLI.weapon.level2 == wsType_Missile and stationInfoRI.weapon.level2 == wsType_Missile)  then
		TweleveSTBDMultiMissile = true 
		else 
		TweleveSTBDMultiMissile = false 
	end

	if (stationInfoRO.weapon.level2 == wsType_Missile and stationInfoLO.weapon.level2 == wsType_Missile and stationInfoRI.weapon.level2 == wsType_Missile)  then
		TweleveSTBD2MultiMissile = true 
		else 
		TweleveSTBD2MultiMissile = false 
	end
	
	if (stationInfoRO.weapon.level2 == wsType_Missile and stationInfoLI.weapon.level2 == wsType_Missile and stationInfoLO.weapon.level2 == wsType_Missile)  then
		TwelevePort2MultiMissile = true 
		else 
		TwelevePort2MultiMissile = false 
	end
	
	-------------------------------------------------------------------------------------------------------------------
	if command == Keys.StationLO then
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)
		StationLO = not StationLO
		
		if StationLO and ((stationInfoLO.weapon.level2 == wsType_Missile)) and 
		(
		((StationLI == false) or (StationLI and ((stationInfoLI.weapon.level2 ~= wsType_Shell) and (stationInfoLI.weapon.level2 ~= wsType_NURS) and (stationInfoLI.weapon.level2 ~= wsType_Bomb)))) and 
		((StationRI == false) or (StationRI and ((stationInfoRI.weapon.level2 ~= wsType_Shell) and (stationInfoRI.weapon.level2 ~= wsType_NURS) and (stationInfoRI.weapon.level2 ~= wsType_Bomb)))) and 
		((StationRO == false) or (StationRO and ((stationInfoRO.weapon.level2 ~= wsType_Shell) and (stationInfoRO.weapon.level2 ~= wsType_NURS) and (stationInfoRO.weapon.level2 ~= wsType_Bomb))))
		)
		then
		LastMissileStation = 6
			if optionInfos then
			print_message_to_user("Left Outboard Pylon ARMED")
			end
		elseif StationLO and ((stationInfoLO.weapon.level2 == wsType_Shell) or (stationInfoLO.weapon.level2 == wsType_NURS) or (stationInfoLO.weapon.level2 == wsType_Bomb)) and 
		(
		((StationLI == false) or (StationLI and ((stationInfoLI.weapon.level2 ~= wsType_Missile)))) and
		((StationRI == false) or (StationRI and ((stationInfoRI.weapon.level2 ~= wsType_Missile)))) and
		((StationRO == false) or (StationRO and ((stationInfoRO.weapon.level2 ~= wsType_Missile)))) 
		)		
		then 
			if optionInfos then
			print_message_to_user("Left Outboard Pylon ARMED")
			end

		else 
			StationLO = false 
			if optionInfos then
			print_message_to_user("Left Outboard Pylon SAFE")
			end
		end
	-------------------------------------------------------------------------------------------------------------------	
	elseif command == Keys.StationLI then
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)
		stationInfoTLI = dev:get_station_info(2)
		StationLI = not StationLI
		
		if StationLI and ((stationInfoLI.weapon.level2 == wsType_Missile) or (stationInfoTLI.weapon.level2 == wsType_Missile)) and 
		(
		((StationLO == false) or (StationLO and ((stationInfoLO.weapon.level2 ~= wsType_Shell) and (stationInfoLO.weapon.level2 ~= wsType_NURS) and (stationInfoLO.weapon.level2 ~= wsType_Bomb)))) and 
		((StationRI == false) or (StationRI and ((stationInfoRI.weapon.level2 ~= wsType_Shell) and (stationInfoRI.weapon.level2 ~= wsType_NURS) and (stationInfoRI.weapon.level2 ~= wsType_Bomb)))) and 
		((StationRO == false) or (StationRO and ((stationInfoRO.weapon.level2 ~= wsType_Shell) and (stationInfoRO.weapon.level2 ~= wsType_NURS) and (stationInfoRO.weapon.level2 ~= wsType_Bomb))))
		)
		then 
		LastMissileStation = 5
			if optionInfos then
			print_message_to_user("Left Inboard Pylon ARMED")
			end
		elseif StationLI and ((stationInfoLI.weapon.level2 == wsType_Shell) or (stationInfoLI.weapon.level2 == wsType_NURS) or (stationInfoLI.weapon.level2 == wsType_Bomb) or (stationInfoTLI.weapon.level2 == wsType_Torpedo) or (stationInfoTLI.weapon.level2 == wsType_Missile) or (stationInfoTLI.weapon.level2 == wsType_Bomb) or (stationInfoTLI.weapon.level2 == wsType_Shell) or (stationInfoTLI.weapon.level2 == wsType_NURS)) and 
		(
		((StationLO == false) or (StationLO and ((stationInfoLO.weapon.level2 ~= wsType_Missile)))) and
		((StationRI == false) or (StationRI and ((stationInfoRI.weapon.level2 ~= wsType_Missile)))) and
		((StationRO == false) or (StationRO and ((stationInfoRO.weapon.level2 ~= wsType_Missile)))) 
		)		
		then
			if optionInfos then
			print_message_to_user("Left Inboard Pylon ARMED")
			end
		else
			StationLI = false
			if optionInfos then
			print_message_to_user("Left Inboard Pylon SAFE")
			end
		end
	-------------------------------------------------------------------------------------------------------------------	
	elseif command == Keys.StationRI then
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)
		stationInfoTRI = dev:get_station_info(4)
		StationRI = not StationRI
		
		if StationRI and ((stationInfoRI.weapon.level2 == wsType_Missile) or (stationInfoTRI.weapon.level2 == wsType_Missile)) and 
		(
		((StationLO == false) or (StationLO and ((stationInfoLO.weapon.level2 ~= wsType_Shell) and (stationInfoLO.weapon.level2 ~= wsType_NURS) and (stationInfoLO.weapon.level2 ~= wsType_Bomb)))) and 
		((StationLI == false) or (StationLI and ((stationInfoLI.weapon.level2 ~= wsType_Shell) and (stationInfoLI.weapon.level2 ~= wsType_NURS) and (stationInfoLI.weapon.level2 ~= wsType_Bomb)))) and 
		((StationRO == false) or (StationRO and ((stationInfoRO.weapon.level2 ~= wsType_Shell) and (stationInfoRO.weapon.level2 ~= wsType_NURS) and (stationInfoRO.weapon.level2 ~= wsType_Bomb))))
		)
		then
		LastMissileStation = 1
			if optionInfos then
			print_message_to_user("Right Inboard Pylon ARMED")
			end
			
		elseif StationRI and ((stationInfoRI.weapon.level2 == wsType_Shell) or (stationInfoRI.weapon.level2 == wsType_NURS) or (stationInfoRI.weapon.level2 == wsType_Bomb) or (stationInfoTRI.weapon.level2 == wsType_Torpedo) or (stationInfoTRI.weapon.level2 == wsType_Bomb) or (stationInfoTRI.weapon.level2 == wsType_Shell) or (stationInfoTRI.weapon.level2 == wsType_NURS)) and 
		(
		((StationLO == false) or (StationLO and ((stationInfoLO.weapon.level2 ~= wsType_Missile)))) and
		((StationLI == false) or (StationLI and ((stationInfoLI.weapon.level2 ~= wsType_Missile)))) and
		((StationRO == false) or (StationRO and ((stationInfoRO.weapon.level2 ~= wsType_Missile)))) 
		)		
		then
			if optionInfos then
			print_message_to_user("Right Inboard Pylon ARMED")
			end
		else	
			StationRI = false 
			if optionInfos then
			print_message_to_user("Right Inboard Pylon SAFE")
			end
		end
	-------------------------------------------------------------------------------------------------------------------	
	elseif command == Keys.StationRO then
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)
		StationRO = not StationRO
		
		if StationRO and ((stationInfoRO.weapon.level2 == wsType_Missile)) and 
		(
		((StationLO == false) or (StationLO and ((stationInfoLO.weapon.level2 ~= wsType_Shell) and (stationInfoLO.weapon.level2 ~= wsType_NURS) and (stationInfoLO.weapon.level2 ~= wsType_Bomb)))) and 
		((StationLI == false) or (StationLI and ((stationInfoLI.weapon.level2 ~= wsType_Shell) and (stationInfoLI.weapon.level2 ~= wsType_NURS) and (stationInfoLI.weapon.level2 ~= wsType_Bomb)))) and 
		((StationRI == false) or (StationRI and ((stationInfoRI.weapon.level2 ~= wsType_Shell) and (stationInfoRI.weapon.level2 ~= wsType_NURS) and (stationInfoRI.weapon.level2 ~= wsType_Bomb))))
		)
		then
		LastMissileStation = 0
			if optionInfos then
			print_message_to_user("Right Outboard Pylon ARMED")
			end
			
		elseif StationRO and ((stationInfoRO.weapon.level2 == wsType_Shell) or (stationInfoRO.weapon.level2 == wsType_NURS) or (stationInfoRO.weapon.level2 == wsType_Bomb)) and 
		(
		((StationLO == false) or (StationLO and ((stationInfoLO.weapon.level2 ~= wsType_Missile)))) and
		((StationLI == false) or (StationLI and ((stationInfoLI.weapon.level2 ~= wsType_Missile)))) and
		((StationRI == false) or (StationRI and ((stationInfoRI.weapon.level2 ~= wsType_Missile)))) 
		)		
		then
			if optionInfos then
			print_message_to_user("Right Outboard Pylon ARMED")
			end
		else
			StationRO = false
			if optionInfos then
			print_message_to_user("Right Outboard Pylon SAFE")
			end 
		end
	------------------------------------------------------------------------------------------------------------------------
	elseif command == Keys.StingerRipple then --ANDR0ID, ATAS Mode
		stationInfoLO = dev:get_station_info(6)
		stationInfoRO = dev:get_station_info(0)
		ATAS_Ripple = not ATAS_Ripple
		
		if ATAS_Ripple and ((stationInfoLO.weapon.level3 == wsType_AA_Missile) or (stationInfoLO.weapon.level3 == wsType_AA_Missile))
		then 
			if optionInfos then
			print_message_to_user("ATAS Mode: Ripple")
			end
		else 
			ATAS_Ripple = false
			if optionInfos then 
			print_message_to_user("ATAS Mode: Single")
			end
		end
		
	end
	
		--ANDR0ID, "Rotary" Weapon Pylon Selection		
	if WeaponChoice == true and WepsStationVal == 1 then --ANDR0ID, All Pylons SAFE
			StationLO = false
			StationLI = false
			StationRI = false 
			StationRO = false
			if optionInfos then
			print_message_to_user("ALL PYLONS SAFE")
			end
			WeaponChoice = false 
	
	elseif WeaponChoice == true and WepsStationVal == 2 then --ANDR0ID, GUN Pylons ARM
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)	
		stationInfoTLI = dev:get_station_info(2)
		stationInfoTRI = dev:get_station_info(4)
		WeaponChoice = false
			if stationInfoLO.weapon.level2 == wsType_Shell then 
				StationLO = true 
			else
				StationLO = false
			end
			if ((stationInfoLI.weapon.level2 == wsType_Shell) or (stationInfoTLI.weapon.level2 == wsType_Shell)) then 
				StationLI = true
			else
				StationLI = false
			end
			if ((stationInfoRI.weapon.level2 == wsType_Shell) or (stationInfoTRI.weapon.level2 == wsType_Shell)) then 
				StationRI = true
			else 
				StationRI = false
			end
			if stationInfoRO.weapon.level2 == wsType_Shell then 
				StationRO = true
			else 
				StationRO = false
			end
				if optionInfos then
					if (StationLO == true or StationLI == true or StationRI == true or StationRO == true) then 
					print_message_to_user("GUN PYLONS ARMED")	
					else	
					print_message_to_user("NO GUNS MOUNTED")
					end
				end
				
	elseif WeaponChoice == true and WepsStationVal == 3 then --ANDR0ID, Rocket Pylons ARM 
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)	
		stationInfoTLI = dev:get_station_info(2)
		stationInfoTRI = dev:get_station_info(4)
		WeaponChoice = false
			if stationInfoLO.weapon.level2 == wsType_NURS then 
				StationLO = true 
			else
				StationLO = false
			end
			if ((stationInfoLI.weapon.level2 == wsType_NURS) or (stationInfoTLI.weapon.level2 == wsType_NURS)) then 
				StationLI = true
			else
				StationLI = false
			end
			if ((stationInfoRI.weapon.level2 == wsType_NURS) or (stationInfoTRI.weapon.level2 == wsType_NURS))  then 
				StationRI = true
			else 
				StationRI = false
			end
			if stationInfoRO.weapon.level2 == wsType_NURS then 
				StationRO = true
			else 
				StationRO = false
			end
				if optionInfos then
					if (StationLO == true or StationLI == true or StationRI == true or StationRO == true) then 
					print_message_to_user("ROCKET PYLONS ARMED")	
					else	
					print_message_to_user("NO ROCKETS MOUNTED") 
					end
				end
				
	elseif WeaponChoice == true and  WepsStationVal == 4 then --ANDR0ID, Missile Pylons ARM
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)	
		stationInfoTLI = dev:get_station_info(2)
		stationInfoTRI = dev:get_station_info(4)
		WeaponChoice = false
			if stationInfoLO.weapon.level2 == wsType_Missile then 
				StationLO = true 
			else
				StationLO = false
			end
			if ((stationInfoLI.weapon.level2 == wsType_Missile) or (stationInfoTLI.weapon.level2 == wsType_Missile)) then 
				StationLI = true
			else
				StationLI = false
			end
			if ((stationInfoRI.weapon.level2 == wsType_Missile) or (stationInfoTRI.weapon.level2 == wsType_Missile)) then 
				StationRI = true
			else 
				StationRI = false
			end
			if stationInfoRO.weapon.level2 == wsType_Missile then 
				StationRO = true
			else 
				StationRO = false
			end
				if optionInfos then
					if (StationLO == true or StationLI == true or StationRI == true or StationRO == true) then
					print_message_to_user("MISSILE PYLONS ARMED")	
					else	
					print_message_to_user("NO MISSILES MOUNTED")
					end
				end	
	elseif WeaponChoice == true and  WepsStationVal == 5 then --ANDR0ID, Torpedo Pylons ARM
		stationInfoLO = dev:get_station_info(6)
		stationInfoLI = dev:get_station_info(5)
		stationInfoRI = dev:get_station_info(1)
		stationInfoRO = dev:get_station_info(0)	
		stationInfoTLI = dev:get_station_info(2)
		stationInfoTRI = dev:get_station_info(4)
		WeaponChoice = false
			if stationInfoLO.weapon.level2 == wsType_Torpedo then 
				StationLO = true 
			else
				StationLO = false
			end
			if ((stationInfoTLI.weapon.level2 == wsType_Torpedo) or (stationInfoTLI.weapon.level2 == wsType_Bomb)) then 
				StationLI = true
			else
				StationLI = false
			end
			if ((stationInfoTRI.weapon.level2 == wsType_Torpedo) or (stationInfoTRI.weapon.level2 == wsType_Bomb)) then 
				StationRI = true
			else 
				StationRI = false
			end
			if stationInfoRO.weapon.level2 == wsType_Torpedo then 
				StationRO = true
			else 
				StationRO = false
			end
				if optionInfos then
					if (StationLO == true or StationLI == true or StationRI == true or StationRO == true) then
					print_message_to_user("TORPEDOS PYLONS ARMED")	
					else	
					print_message_to_user("NO TORPEDOS MOUNTED")
					end
				end		
	end
-------------------------------------------------------------------------------------------------------------------
	if command == Keys.TriggerFireOn and master_arm then
		isMinigunsTriggerDown = true
    elseif command == Keys.TriggerFireOff then
		isMinigunsTriggerDown = false
	end
	
	if command == Keys.LMinigunToggle then
		stationInfo = dev:get_station_info(9)
		GunLSelectPos = not GunLSelectPos
		if optionInfos then
			if GunLSelectPos and stationInfo.weapon.level2 == wsType_Shell then
				print_message_to_user("Minigun Left ON")
			else
				print_message_to_user("Minigun Left OFF")
				GunLSelectPos = false --ANDR0ID Added
			end
		end
		
	elseif command == Keys.RMinigunToggle then
		stationInfo = dev:get_station_info(10)
		GunRSelectPos = not GunRSelectPos
		if optionInfos then
			if GunRSelectPos and stationInfo.weapon.level2 == wsType_Shell then
				print_message_to_user("Minigun Right ON")
			else
				print_message_to_user("Minigun Right OFF")
				GunRSelectPos = false --ANDR0ID Added
			end
		end
		
	elseif command == Keys.BMinigunToggle then
		stationInfo = dev:get_station_info(9)
		GunLSelectPos = not GunLSelectPos
		if optionInfos then
			if GunLSelectPos and stationInfo.weapon.level2 == wsType_Shell then
				print_message_to_user("Minigun Left ON")
			else
				print_message_to_user("Minigun Left OFF")
				GunLSelectPos = false --ANDR0ID Added
			end
		end
		
		stationInfo1 = dev:get_station_info(10)
		GunRSelectPos = not GunRSelectPos
		if optionInfos then
			if GunRSelectPos and stationInfo1.weapon.level2 == wsType_Shell then
				print_message_to_user("Minigun Right ON")
			else
				print_message_to_user("Minigun Right OFF")
				GunRSelectPos = false --ANDR0ID Added
			end
		end
	end
	
	local PwrSwpos = get_cockpit_draw_argument_value(17)		-- Test Battery Switch ON
	if command == Keys.MasterArm and PwrSwpos == 1 then
		stationInfo = dev:get_station_info(9)
		stationInfo1 = dev:get_station_info(10)
		stationInfoLO = dev:get_station_info(6) --ANDR0ID Added
		stationInfoLI = dev:get_station_info(5) --ANDR0ID Added
		stationInfoRI = dev:get_station_info(1) --ANDR0ID Added
		stationInfoRO = dev:get_station_info(0) --ANDR0ID Added		
		stationInfoTLI = dev:get_station_info(2)
		stationInfoTRI = dev:get_station_info(4)
		if stationInfo.weapon.level2 == wsType_Shell or stationInfo1.weapon.level2 == wsType_Shell 
			or ((stationInfoLO.weapon.level2 == wsType_Shell) or (stationInfoLO.weapon.level2 == wsType_NURS) or (stationInfoLO.weapon.level2 == wsType_Missile) or (stationInfoLO.weapon.level2 == wsType_Bomb)) --ANDR0ID Added
			or ((stationInfoLI.weapon.level2 == wsType_Shell) or (stationInfoLI.weapon.level2 == wsType_NURS) or (stationInfoLI.weapon.level2 == wsType_Missile) or (stationInfoLI.weapon.level2 == wsType_Bomb) or (stationInfoTLI.weapon.level2 == wsType_Torpedo) or (stationInfoTLI.weapon.level2 == wsType_Bomb) or (stationInfoTLI.weapon.level2 == wsType_Missile) or (stationInfoTLI.weapon.level2 == wsType_Shell) or (stationInfoTLI.weapon.level2 == wsType_NURS)) --ANDR0ID Added
			or ((stationInfoRI.weapon.level2 == wsType_Shell) or (stationInfoRI.weapon.level2 == wsType_NURS) or (stationInfoRI.weapon.level2 == wsType_Missile) or (stationInfoRI.weapon.level2 == wsType_Bomb) or (stationInfoTRI.weapon.level2 == wsType_Torpedo) or (stationInfoTRI.weapon.level2 == wsType_Bomb) or (stationInfoTRI.weapon.level2 == wsType_Missile) or (stationInfoTRI.weapon.level2 == wsType_Shell) or (stationInfoTRI.weapon.level2 == wsType_NURS)) --ANDR0ID Added
			or ((stationInfoRO.weapon.level2 == wsType_Shell) or (stationInfoRO.weapon.level2 == wsType_NURS) or (stationInfoRO.weapon.level2 == wsType_Missile) or (stationInfoRO.weapon.level2 == wsType_Bomb)) --ANDR0ID Added	
			then 
			master_arm = not master_arm
			if master_arm then
				if optionInfos then
					print_message_to_user("Master Arm ON")
				end
				dispatch_action(nil,Keys.GunsightToggle, 1)
			else
				if optionInfos then
					print_message_to_user("Master Arm OFF")
				end
				dispatch_action(nil,Keys.GunsightToggle, 0)
			end
		else
			if optionInfos then
				print_message_to_user("Master Arm OFF")
			end
			master_arm = false
		end
	end
--ANDR0ID Added
-------------------------------------------------------------------------------------------------------------------
	local PwrSwpos = get_cockpit_draw_argument_value(17)		-- Test Battery Switch ON
	if command == Keys.MasterArmOn and PwrSwpos == 1 then --ANDR0ID, sends message for dedicated master arm swtich 
		stationInfo = dev:get_station_info(9)
		stationInfo1 = dev:get_station_info(10)
		stationInfoLO = dev:get_station_info(6) 
		stationInfoLI = dev:get_station_info(5) 
		stationInfoRI = dev:get_station_info(1) 
		stationInfoRO = dev:get_station_info(0) 
		stationInfoTLI = dev:get_station_info(2)
		stationInfoTRI = dev:get_station_info(4)
		if stationInfo.weapon.level2 == wsType_Shell or stationInfo1.weapon.level2 == wsType_Shell 
			or ((stationInfoLO.weapon.level2 == wsType_Shell) or (stationInfoLO.weapon.level2 == wsType_NURS) or (stationInfoLO.weapon.level2 == wsType_Missile) or (stationInfoLO.weapon.level2 == wsType_Bomb)) --ANDR0ID Added
			or ((stationInfoLI.weapon.level2 == wsType_Shell) or (stationInfoLI.weapon.level2 == wsType_NURS) or (stationInfoLI.weapon.level2 == wsType_Missile) or (stationInfoLI.weapon.level2 == wsType_Bomb) or (stationInfoTLI.weapon.level2 == wsType_Torpedo) or (stationInfoTLI.weapon.level2 == wsType_Bomb) or (stationInfoTLI.weapon.level2 == wsType_Missile) or (stationInfoTLI.weapon.level2 == wsType_Shell) or (stationInfoTLI.weapon.level2 == wsType_NURS)) --ANDR0ID Added
			or ((stationInfoRI.weapon.level2 == wsType_Shell) or (stationInfoRI.weapon.level2 == wsType_NURS) or (stationInfoRI.weapon.level2 == wsType_Missile) or (stationInfoRI.weapon.level2 == wsType_Bomb) or (stationInfoTRI.weapon.level2 == wsType_Torpedo) or (stationInfoTRI.weapon.level2 == wsType_Bomb) or (stationInfoTRI.weapon.level2 == wsType_Missile) or (stationInfoTRI.weapon.level2 == wsType_Shell) or (stationInfoTRI.weapon.level2 == wsType_NURS)) --ANDR0ID Added
			or ((stationInfoRO.weapon.level2 == wsType_Shell) or (stationInfoRO.weapon.level2 == wsType_NURS) or (stationInfoRO.weapon.level2 == wsType_Missile) or (stationInfoRO.weapon.level2 == wsType_Bomb)) --ANDR0ID Added	
			then 
			if master_arm == true then
				if optionInfos then
					print_message_to_user("Master Arm ON")
				end
				dispatch_action(nil,Keys.GunsightToggle, 1)
			else
				if optionInfos then
					print_message_to_user("Master Arm OFF")
				end
				dispatch_action(nil,Keys.GunsightToggle, 0)
			end
		else
			if optionInfos then
				print_message_to_user("Master Arm OFF")
			end
			master_arm = false
		end
	end
	
	local PwrSwpos = get_cockpit_draw_argument_value(17)
	if command == Keys.MasterArmOff and PwrSwpos == 1 then --ANDR0ID, sends message for dedicated Safe switch
			if optionInfos then
				print_message_to_user("Master Arm OFF")
			end	
				dispatch_action(nil,Keys.GunsightToggle, 0)
	end
--End ANDR0ID Added
-------------------------------------------------------------------------------------------------------------------
end	

function update()
--ANDR0ID Modified
	if isMinigunsTriggerDown and master_arm and GunLSelectPos then
		local LeftGunPylon = dev:get_station_info(5)
		if (StationLI and LeftGunPylon.weapon.level2 == wsType_Shell) then -- ANDR0ID, allows pylon guns to fire with "M134 Fire" when mounted
			dev:launch_station(5)
		end
		dev:launch_station(9)
	end
	
	if isMinigunsTriggerDown and master_arm and GunRSelectPos then
		local RightGunPylon = dev:get_station_info(1)
		if (StationRI and RightGunPylon.weapon.level2 == wsType_Shell) then -- ANDR0ID, allows pylon guns to fire with "M134 Fire" when mounted
			dev:launch_station(1)
		end
		dev:launch_station(10)
	end
--End ANDR0ID Modified
--ANDR0ID Added
-------------------------------------------------------------------------------------------------------------------
	if pickle and master_arm then
	
		if (StationRO and ATAS_Ripple and stationInfoRO.weapon.level3 == wsType_AA_Missile) then
		release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(0)
			release_timer = 0
			end
		elseif (StationLO and ATAS_Ripple and stationInfoLO.weapon.level3 == wsType_AA_Missile) then
		release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(6)
			release_timer = 0
			end
		elseif StationLO and StationLI and StationRI and StationRO and ((EightInMultiMissile == true) and (EightOutMultiMissile == true)) then 
				if LastMissileStation == 6 then 
				    LastMissileStation = 0 
				elseif LastMissileStation == 0 then 
						LastMissileStation = 5
				elseif LastMissileStation == 5 then 
						LastMissileStation = 1
				elseif LastMissileStation == 1 then 
						LastMissileStation = 6
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationLO and StationLI and StationRI and (TwelevePortMultiMissile == true) then 
				if LastMissileStation == 6 then 
				    LastMissileStation = 5 
				elseif LastMissileStation == 5 then 
						LastMissileStation = 1
				elseif LastMissileStation == 1 then 
						LastMissileStation = 6
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
			elseif StationLI and StationRI and StationRO and (TweleveSTBDMultiMissile == true) then 
				if LastMissileStation == 0 then 
				    LastMissileStation = 5 
				elseif LastMissileStation == 5 then 
						LastMissileStation = 1
				elseif LastMissileStation == 1 then 
						LastMissileStation = 0
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationLO and StationLI and StationRO and (TwelevePort2MultiMissile == true) then 
				if LastMissileStation == 6 then 
				    LastMissileStation = 5 
				elseif LastMissileStation == 5 then 
						LastMissileStation = 0
				elseif LastMissileStation == 0 then 
						LastMissileStation = 6
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationLO and StationRI and StationRO and (TweleveSTBD2MultiMissile == true) then 
				if LastMissileStation == 0 then 
				    LastMissileStation = 6 
				elseif LastMissileStation == 6 then 
						LastMissileStation = 1
				elseif LastMissileStation == 1 then 
						LastMissileStation = 0
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationLI and StationRI and (EightInMultiMissile == true) then 
				if LastMissileStation == 5 then 
				    LastMissileStation = 1 
				else	
					LastMissileStation = 5
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationLO and StationRO and (EightOutMultiMissile == true) then 
				if LastMissileStation == 6 then 
				    LastMissileStation = 0 
				else	
					LastMissileStation = 6
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationLO and StationLI and (EightPortMultiMissile == true) then 
				if LastMissileStation == 6 then 
				    LastMissileStation = 5 
				else	
					LastMissileStation = 6
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
		elseif StationRI and StationRO and (EightSTBDMultiMissile == true) then 
				if LastMissileStation == 1 then 
				    LastMissileStation = 0 
				else	
					LastMissileStation = 1
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	

		elseif StationRI and StationLO and (EightPortOffsetMultiMissile == true) then 
				if LastMissileStation == 1 then 
				    LastMissileStation = 6 
				else	
					LastMissileStation = 1
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	

		elseif StationLI and StationRO and (EightSTBDOffsetMultiMissile == true) then 
				if LastMissileStation == 5 then 
				    LastMissileStation = 0 
				else	
					LastMissileStation = 5
				end	
			release_timer = release_timer + update_rate			
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(LastMissileStation)
			end	
			
		elseif StationLO and stationInfoLO.weapon.level2 == wsType_Missile then
			release_timer = release_timer + update_rate
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer 
			dev:launch_station(6)
			end
		elseif StationLI and stationInfoLI.weapon.level2 == wsType_Missile then
			release_timer = release_timer + update_rate
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(5)
			end
		elseif StationLI and stationInfoTLI.weapon.level2 == wsType_Missile then
			release_timer = release_timer + update_rate
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(2)
			end	
		elseif StationRI and stationInfoRI.weapon.level2 == wsType_Missile then
			release_timer = release_timer + update_rate
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(1)
			end
		elseif StationRI and stationInfoTRI.weapon.level2 == wsType_Missile then
			release_timer = release_timer + update_rate
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(4)
			end
		elseif StationRO and stationInfoRO.weapon.level2 == wsType_Missile then
			release_timer = release_timer + update_rate
			if release_timer == missile_interval then --when equal only allow one missile per weapon relase, PickleOff resets release_timer
			dev:launch_station(0)
			end
		end
	
		if (StationLO and stationInfoLO.weapon.level2 == wsType_NURS) then
			release_timer = release_timer + update_rate	
			if release_timer >= release_interval then
			dev:launch_station(6)
			release_timer = 0
			end
		elseif StationLO and ((stationInfoLO.weapon.level2 == wsType_Shell) or (stationInfoLO.weapon.level2 == wsType_Bomb)) then
			dev:launch_station(6)	
		end
		
		if StationLI and stationInfoLI.weapon.level2 == wsType_NURS then
			release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(5)
			release_timer = 0
			end
		elseif StationLI and stationInfoTLI.weapon.level2 == wsType_NURS then
			release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(2)
			release_timer = 0
			end
		elseif StationLI and ((stationInfoLI.weapon.level2 == wsType_Shell) or (stationInfoLI.weapon.level2 == wsType_Bomb)) then
			dev:launch_station(5)	
		elseif StationLI and stationInfoTLI.weapon.level2 == wsType_Shell then 
			dev:launch_station(2)
		elseif StationLI and stationInfoTLI.weapon.level2 == wsType_Torpedo then 
			dev:launch_station(2)
		elseif StationLI and stationInfoTLI.weapon.level2 == wsType_Bomb then 
			dev:launch_station(2)
		end
		
		if StationRI and stationInfoRI.weapon.level2 == wsType_NURS then
			release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(1)
			release_timer = 0
			end
		elseif StationRI and stationInfoTRI.weapon.level2 == wsType_NURS then
			release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(4)
			release_timer = 0
			end
		elseif StationRI and ((stationInfoRI.weapon.level2 == wsType_Shell) or (stationInfoRI.weapon.level2 == wsType_Bomb)) then
			dev:launch_station(1)	
		elseif StationRI and stationInfoTRI.weapon.level2 == wsType_Shell then 
			dev:launch_station(4)
		elseif StationRI and stationInfoTRI.weapon.level2 == wsType_Torpedo then 
			dev:launch_station(4)	
		elseif StationRI and stationInfoTRI.weapon.level2 == wsType_Bomb then 
			dev:launch_station(4)

		end
		
		if (StationRO and stationInfoRO.weapon.level2 == wsType_NURS) then
		release_timer = release_timer + update_rate
			if release_timer >= release_interval then
			dev:launch_station(0)
			release_timer = 0
			end
		elseif StationRO and ((stationInfoRO.weapon.level2 == wsType_Shell) or (stationInfoRO.weapon.level2 == wsType_Bomb)) then
			dev:launch_station(0)	
		end
	end
	--End ANDR0ID Added
-------------------------------------------------------------------------------------------------------------------
end


need_to_be_closed = false
