--ANDR0ID Added--------------------------------------

dofile("CoreMods/aircraft/AircraftWeaponPack/AS_Missiles.lua")
dofile("Scripts/Database/wsTypes.lua")

local GALLON_TO_KG = 3.785 * 0.8
local INCHES_TO_M = 0.0254
local POUNDS_TO_KG = 0.453592

local tracer_on_time = 0.01
local barrel_smoke_level = 1.0
local barrel_smoke_opacity = 0.1

    -- 7.62x51mm NATO M80 Ball
M80 = {
        category = CAT_SHELLS, name = "7.62x51mm M80", user_name = _("7.62x51mm M80"),
        model_name      = "tracer_bullet_white", --ANDR0ID since changes to DCS (2.7?) this probably doesn't work to change tracer color/type... the rest should work as its not referencing a core part of DCS
        mass            = 0.00952, --kg of each bullet
        round_mass      = 0.0254, --kg of entire round
        cartridge_mass  = 0.01588, --kg of shell
        explosive       = 0.000,
        v0              = 856.2,   -- 2809 fps = 856.2 m/s
        Dv0             = 0.0060,
        Da0             = 0.0022, -- dispersion amount
        Da1             = 0.0,
        life_time       = 30,
        caliber         = 7.62, --mm
        s               = 0.0,
        j               = 0.0,
        l               = 0.0,
        charTime        = 0,
        cx              = {0.5,1.27,0.70,0.200,2.30},
        k1              = 2.0e-08,
        tracer_off      = -1,
        tracer_on       = tracer_on_time,
        smoke_tail_life_time = 0,
        scale_tracer    = 0,
        cartridge       = 0,
        scale_smoke     = barrel_smoke_level,
        smoke_opacity   = barrel_smoke_opacity
}
declare_weapon(M80)

    -- 7.62x51mm NATO M61 Armor Piercing
M61 = {
        category = CAT_SHELLS, name = "7.62x51mm M61", user_name = _("7.62x51mm M61"),
        model_name      = "tracer_bullet_white", --ANDR0ID since changes to DCS (2.7?) this probably doesn't work to change tracer color/type... the rest should work as its not referencing a core part of DCS
        mass            = 0.00975, --kg of each bullet
        round_mass      = 0.0256, --kg of entire round
        cartridge_mass  = 0.01588, --kg of shell
        explosive       = 0.000,
        v0              = 854.6,   -- 2804 fps = 854.6 m/s
        Dv0             = 0.0060,
        Da0             = 0.0022, -- dispersion amount
        Da1             = 0.0,
        life_time       = 30,
        caliber         = 7.62, --mm
        s               = 0.0,
        j               = 0.0,
        l               = 0.0,
        charTime        = 0,
        cx              = {0.5,1.27,0.70,0.200,2.30},
        k1              = 2.0e-08,
        tracer_off      = -1,
        tracer_on       = tracer_on_time,
        smoke_tail_life_time = 0,
        scale_tracer    = 0,
        cartridge       = 0,
        scale_smoke     = barrel_smoke_level,
        smoke_opacity   = barrel_smoke_opacity
}
declare_weapon(M61)

M62 = {
        category = CAT_SHELLS, name = "7.62x51mm M62", user_name = _("7.62x51mm M62"),
        model_name    = "tracer_bullet_red", --ANDR0ID since changes to DCS (2.7?) this probably doesn't work to change tracer color/type... the rest should work as its not referencing a core part of DCS
        mass            = 0.0092, --kg of each bullet
        round_mass      = 0.02508, --kg of entire round
        cartridge_mass  = 0.01588, --kg of shell
        explosive       = 0.000,
        v0              = 856.2,   -- 2809 fps = 856.2 m/s
        Dv0             = 0.0060,
        Da0             = 0.0022, -- dispersion amount
        Da1             = 0.0,
        life_time       = 30,
        caliber         = 7.62, --mm
        s               = 0.0,
        j               = 0.0,
        l               = 0.0,
        charTime        = 0,
        cx              = {0.5,1.27,0.70,0.200,2.30},
        k1              = 2.0e-08,
        tracer_off      = 1.7,
        tracer_on       = tracer_on_time,
        smoke_tail_life_time = 1.7,
        scale_tracer    = 1,
        cartridge       = 0,
        scale_smoke     = barrel_smoke_level,
        smoke_opacity   = barrel_smoke_opacity
}
declare_weapon(M62)

declare_weapon({category = CAT_SHELLS,name =   "M62_Tracer_Test",
  user_name		= _("M62_Tracer_Test"),
  model_name    = "tracer_bullet_white", -- ANDR0ID for some reason this one works but the others dont, I DONT KNOW WHY :P
  v0    		= 856.2,
  Dv0   		= 0.0060,
  Da0    		= 0.0022,
  Da1     		= 0.0,
  mass      	= 0.0092,
  round_mass 	= 0.02508,
  explosive     = 0.0,
  life_time     = 30,
  caliber     	= 7.62,
  s         	= 0.0,
  j         	= 0.0,
  l         	= 0.0,
  charTime      = 0,
  cx        	= {0.5,1.27,0.70,0.200,2.30},
  k1        	= 2.0e-08,
  tracer_off    = 1.7,
  tracer_on		= tracer_on_time,
  smoke_tail_life_time = 0.7,
  scale_tracer  = 1,
  cartridge 	= 0,
  scale_smoke   = barrel_smoke_level,
  smoke_opacity = barrel_smoke_opacity
})

--.50 Armor Piercing
AP_50CAL = {
        category = CAT_SHELLS, name = "M2_50_AP", user_name = _("M2_50_AP"), 
		model_name    = "tracer_bullet_red", --ANDR0ID since changes to DCS (2.7?) this probably doesn't work to change tracer color/type... the rest should work as its not referencing a core part of DCS
		v0    = 930.0,
		Dv0   = 0.0082,
		Da0     = 0.0002,
		Da1     = 0.0,
		mass      = 0.046,
		round_mass = 0.137,
		cartridge_mass  = 0.016,
		explosive     = 0.0000,
		life_time     = 30,
		caliber     = 12.7,
		s         = 0.0,
		j         = 0.0,
		l         = 0.0,
		charTime    = 0,
		cx        = {0.5,0.61,0.80,0.270,2},
		k1        = 1.4e-08,
		tracer_off    =-1,
		tracer_on     = tracer_on_time,
		scale_tracer  = 1,
		smoke_tail_life_time = 0.5,
		cartridge = 0,
        scale_smoke     = barrel_smoke_level,
        smoke_opacity   = barrel_smoke_opacity
}
declare_weapon(AP_50CAL)

--.50 APIT
APIT_50CAL = {
        category = CAT_SHELLS, name = "50_Cal_APIT", user_name =_("50_Cal_APIT"),
		model_name    = "tracer_bullet_red", --ANDR0ID since changes to DCS (2.7?) this probably doesn't work to change tracer color/type... the rest should work as its not referencing a core part of DCS
		mass      = 0.041,
		round_mass = 0.132,
		cartridge_mass  = 0.016,
		explosive     = 0.0000,
		v0    = 930,
		Dv0   = 0.0082,
		Da0     = 0.0002,
		Da1     = 0.0,
		life_time     = 30,
		caliber     = 12.7,
		s         = 0.0,
		j         = 0.0,
		l         = 0.0,
		charTime    = 0,
		cx        = {0.5,0.61,0.80,0.270,2},
		k1        = 1.35e-08,
		tracer_off    = 4,
		tracer_on     = tracer_on_time,
		scale_tracer  = 1,
		smoke_tail_life_time = 0.5,  
		cartridge = 0,
        scale_smoke     = barrel_smoke_level,
        smoke_opacity   = barrel_smoke_opacity
}
declare_weapon(APIT_50CAL)

--ANDR0ID, This from original UH-60 mod
local function fuel_tank_230(clsid)
	local data =
	{
		category	= CAT_FUEL_TANKS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "PTB.png",
		displayName	= _("CEFS Fuel Tank 200 gallons"),
		Weight_Empty	= 132,
		Weight			= 132 + 598.09478, -- 200USG = 757.082 liter * 0.79kg/l fuel weight 
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "UH60_FUEL_TANK_230";
				file	= "fueltank230";
				life	= 1;
				fire	= { 0, 1};
				username	= "UH60_FUEL_TANK_230";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "fueltank230",
			}, 
		}, 
	}
	declare_loadout(data)
end

fuel_tank_230("{UH60_FUEL_TANK_230}")

local function seat_gunner_l(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "seat_icon_leftgunner.png",
		displayName	= _("Left Gunner Seat"),
		Weight_Empty	= 20,
		Weight			= 100, -- 200USG = 757.082 liter * 0.79kg/l fuel weight 
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "UH60_SEAT_GUNNER_L";
				file	= "leftSeat";
				life	= 1;
				fire	= { 0, 1};
				username	= "UH60_SEAT_GUNNER_L";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "leftSeat",
			}, 
		}, 
	}
	declare_loadout(data)
end

seat_gunner_l("{UH60_SEAT_GUNNER_L}")

local function seat_gunner_r(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "seat_icon_rightgunner.png",
		displayName	= _("Right Gunner Seat"),
		Weight_Empty	= 20,
		Weight			= 100, -- 200USG = 757.082 liter * 0.79kg/l fuel weight 
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "UH60_SEAT_GUNNER_R";
				file	= "rightSeat";
				life	= 1;
				fire	= { 0, 1};
				username	= "UH60_SEAT_GUNNER_R";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "rightSeat",
			}, 
		}, 
	}
	declare_loadout(data)
end

seat_gunner_r("{UH60_SEAT_GUNNER_R}")

local function seat_cargo_all(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "seat_icon_threerows.png",
		displayName	= _("Cargo Seats (Three Rows)"),
		Weight_Empty	= 20,
		Weight			= 900, -- 200USG = 757.082 liter * 0.79kg/l fuel weight 
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "UH60_SEAT_CARGO_ALL";
				file	= "fullCargoSeats";
				life	= 1;
				fire	= { 0, 1};
				username	= "UH60_SEAT_CARGO_ALL";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "fullCargoSeats",
			}, 
		}, 
	}
	declare_loadout(data)
end

seat_cargo_all("{UH60_SEAT_CARGO_ALL}")

local function seat_cargo_rear(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "seat_icon_backrow.png",
		displayName	= _("Cargo Seats (Rear Row)"),
		Weight_Empty	= 20,
		Weight			= 300, -- 200USG = 757.082 liter * 0.79kg/l fuel weight 
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "UH60_SEAT_CARGO_REAR";
				file	= "rearCargoSeats";
				life	= 1;
				fire	= { 0, 1};
				username	= "UH60_SEAT_CARGO_REAR";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "rearCargoSeats",
			}, 
		}, 
	}
	declare_loadout(data)
end

seat_cargo_rear("{UH60_SEAT_CARGO_REAR}")

--ANDR0ID, this from Tanuki44
local function mount_M134(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "mount.png",
		displayName	= _("Mount Minigun"),
		Weight_Empty	= 30,
		Weight			= 80,
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "UH60_MOUNT_M134";
				file	= "supply_m134";
				life	= 1;
				fire	= { 0, 1};
				username	= "UH60_MOUNT_M134";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "supply_m134",
			}, 
		}, 
	}
	declare_loadout(data)
end

mount_M134("{UH60_MOUNT_M134}")

---------------------------------------------------------------------------------------------------------------------------------------------

local function uh_60l_pilot(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "helmet.png",
		displayName	= _("Pilot"),
		Weight_Empty	= 0,
		Weight			= 0,
		Cx_pil		= 0.000956902,
		shape_table_data = {
			{
				name 	= "uh-60l_pilot",
				file	= "uh-60l_pilot";
				life	= 1;
				username	= "uh-60l_pilot";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements = {
			{
			  Position = {0.0, 0.0, 0.0},
			  ShapeName = "uh-60l_pilot",
			},
		}, 
	}
	declare_loadout(data)
end

uh_60l_pilot("{UH60_PILOT}")

local function uh_60l_copilot(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "helmet.png",
		displayName	= _("CoPilot"),
		Weight_Empty	= 0,
		Weight			= 0,
		Cx_pil		= 0.000956902,
		shape_table_data = {
			{
				name 	= "uh-60l_copilot",
				file	= "uh-60l_copilot";
				life	= 1;
				username	= "uh-60l_copilot";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements = {
			{
			  Position = {0.0, 0.0, 0.0},
			  ShapeName = "uh-60l_copilot",
			},
		}, 
	}
	declare_loadout(data)
end

uh_60l_copilot("{UH60_COPILOT}")

function UH60_M134(tbl)
    tbl.category = CAT_GUN_MOUNT
    tbl.name     = "M134"
    tbl.supply = 
	{ 
		shells = {"7.62x51mm M80","7.62x51mm M61","7.62x51mm M62"}, --ANDR0ID modified due to how DCS does shells 
		mixes  = {{3,1,3,2}}, --ANDR0ID added
        count = 4000,
    }
    if tbl.mixes then
        tbl.supply.mixes = tbl.mixes
        tbl.mixes = nil
    end
    tbl.gun =
    {
        max_burst_length    = 6, --4000,
        rates               = {6000},
        recoil_coeff        = 0.01,
        barrels_count       = 6,
    }
    if tbl.rates then
       tbl.gun.rates        =  tbl.rates
       tbl.rates            = nil
    end
    tbl.ejector_pos             = tbl.ejector_pos or {0.0, -0.9, 0}
    tbl.ejector_pos_connector   = tbl.ejector_pos_connector or {0.0, -0.9, 0}
    tbl.ejector_dir             = {-1, -6, 0}
    tbl.supply_position         = tbl.supply_position or {0,  0.3, -0.3}
    tbl.aft_gun_mount           = false
    tbl.effective_fire_distance = 1500
    tbl.drop_cartridge          = 204
    tbl.muzzle_pos              = tbl.muzzle_pos            or  {0,0,0}     -- all position from connector
    tbl.muzzle_pos_connector    = tbl.muzzle_pos_connector  or  {0,0,0} 	-- all position from connector
    tbl.azimuth_initial         = tbl.azimuth_initial       or  0
    tbl.elevation_initial       = tbl.elevation_initial     or  -5
    if  tbl.effects == nil then
        tbl.effects = {{ name = "FireEffect"     , arg = tbl.effect_arg_number or 436 },
                       { name = "HeatEffectExt"  , shot_heat = 7.823, barrel_k = 1.2474, body_k = 6.6066 },
					   { name = "GatlingEffect", arg = 53, barrels_n = 6, spin_up_t = 0.2, spin_down_t = 0.1},
                       { name = "SmokeEffect"}
					}
    end
    return declare_weapon(tbl)
end

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134L}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134l.png",
	displayName		=	_("Minigun"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134L"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134({
			supply_position         = {0.65, 0.25, 0},
			muzzle_pos              = {0.65, 0.25, 0},
			muzzle_pos_connector    = {0.65, 0.25, 0},
			elevation_initial		= -5,
		})
	},	
	shape_table_data = {{file = 'gun_m134L';	username = 'gun_m134L'; index = WSTYPE_PLACEHOLDER;}}	
})

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134R}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("Minigun"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134R"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134({
			supply_position         = {0.65, 0.25, 0},
			muzzle_pos              = {0.65, 0.25, 0},
			muzzle_pos_connector    = {0.65, 0.25, 0},
			elevation_initial		= -5,
		})
	},	
	shape_table_data = {{file = 'gun_m134R';	username = 'gun_m134R'; index = WSTYPE_PLACEHOLDER;}}	
})

--*******************************************************--ANDR0ID, End from Tanuki44
--ANDR0ID Added------------------------------------------
declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134P}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("Minigun"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134_pylon"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134({
			supply_position         = {0.65, -0.27, 0},
			muzzle_pos              = {0.65, -0.27, 0},
			muzzle_pos_connector    = {0.65, -0.27, 0},
			elevation_initial		= -4, --Changed from -5 to -4 due to lower pylon mounting position
		})
	},	
	shape_table_data = {{file = 'gun_m134_pylon';	username = 'gun_m134_pylon'; index = WSTYPE_PLACEHOLDER;}}	
})
--GAU-19 provied by nibbylot
function AH6_GAU19(tbl)

	tbl.category = CAT_GUN_MOUNT 
	tbl.name 	 = "AH-6 GAU-19"
	tbl.supply 	 = 
	{
		shells = {"M2_50_AP","50_Cal_APIT"}, --ANDR0ID, shells changed due to updates to DCS since AH-6 final release
		mixes  = {{2,1,1,1,1}}, --ANDR0ID changed from 2,1,1,1 so that every 5th round is a tracer
		count  = 1000,
	}
	if tbl.mixes then 
	   tbl.supply.mixes =  tbl.mixes
	   tbl.mixes	    = nil
	end
	tbl.gun = 
	{
		max_burst_length = 3,
		rates 			 = {1300},
		recoil_coeff 	 = 0.25*1.3,
		barrels_count 	 = 3,
	}
	if tbl.rates then 
	   tbl.gun.rates    =  tbl.rates
	   tbl.rates	    = nil
	end	
	tbl.ejector_pos 			= {-1.072, -0.05, -0.039} -- position from muzzle connector pos
	tbl.ejector_dir 			= tbl.ejector_dir
	tbl.supply_position  		= tbl.supply_position or {0,  0.3, -0.3}
	tbl.aft_gun_mount 			= false
	tbl.effective_fire_distance = 1800
	tbl.drop_cartridge 			= 204 -- drop shell shape/size from  aircraft_gun_mounts.lua
	tbl.muzzle_pos				= tbl.muzzle_pos or {0,0,0} -- all position from connector
	tbl.muzzle_pos_connector	= tbl.muzzle_pos_connector 	or  "Gun_point" -- all position from connector
	tbl.azimuth_initial 		= tbl.azimuth_initial    or 0   
	tbl.elevation_initial 		= tbl.elevation_initial  or 0   
	if  tbl.effects == nil then
		tbl.effects = {{ name = "FireEffect"     , arg 		 = tbl.effect_arg_number or 436 },
					   { name = "HeatEffectExt"  , shot_heat = 7.823, barrel_k = 0.462 * 2.7, body_k = 0.462 * 14.3 },
					   { name = "SmokeEffect"},
					   { name = "GatlingEffect", arg = 44, barrels_n = 3, spin_up_t = 0.4, spin_down_t = 0.1}
					   }
	end
	return declare_weapon(tbl)
end

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{AH6_GAU-19}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"gau19.png",
	displayName		=	_("GAU-19 Gattling Gun"),-- loadout editor name
	Weight			=	63, --loaded	63kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "AH6_GAU19"}},
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
			AH6_GAU19({
				ejector_dir = {0,-1,-0.5},
				supply_position = {2, -0.3, -0.4},
			})			
	},	
	shape_table_data = {{file  	 = 'AH6_GAU19';	username = 'GAU-19_gun'; index = WSTYPE_PLACEHOLDER;}}
})

function AH6_GAU19_NT(tbl) --ANDR0ID, GAU-19 with No Tracers

	tbl.category = CAT_GUN_MOUNT 
	tbl.name 	 = "AH-6 GAU-19"
	tbl.supply 	 = 
	{
		shells = {"M2_50_AP"}, --ANDR0ID, shells changed due to updates to DCS since AH-6 final release
		count  = 1000,
	}
	if tbl.mixes then 
	   tbl.supply.mixes =  tbl.mixes
	   tbl.mixes	    = nil
	end
	tbl.gun = 
	{
		max_burst_length = 3,
		rates 			 = {1300},
		recoil_coeff 	 = 0.25*1.3,
		barrels_count 	 = 3,
	}
	if tbl.rates then 
	   tbl.gun.rates    =  tbl.rates
	   tbl.rates	    = nil
	end	
	tbl.ejector_pos 			= {-1.072, -0.05, -0.039} -- position from muzzle connector pos
	tbl.ejector_dir 			= tbl.ejector_dir
	tbl.supply_position  		= tbl.supply_position or {0,  0.3, -0.3}
	tbl.aft_gun_mount 			= false
	tbl.effective_fire_distance = 1800
	tbl.drop_cartridge 			= 204 -- drop shell shape/size from  aircraft_gun_mounts.lua
	tbl.muzzle_pos				= tbl.muzzle_pos or {0,0,0} -- all position from connector
	tbl.muzzle_pos_connector	= tbl.muzzle_pos_connector 	or  "Gun_point" -- all position from connector
	tbl.azimuth_initial 		= tbl.azimuth_initial    or 0   
	tbl.elevation_initial 		= tbl.elevation_initial  or 0   
	if  tbl.effects == nil then
		tbl.effects = {{ name = "FireEffect"     , arg 		 = tbl.effect_arg_number or 436 },
					   { name = "HeatEffectExt"  , shot_heat = 7.823, barrel_k = 0.462 * 2.7, body_k = 0.462 * 14.3 },
					   { name = "SmokeEffect"},
					   { name = "GatlingEffect", arg = 44, barrels_n = 3, spin_up_t = 0.4, spin_down_t = 0.1}
					   }
	end
	return declare_weapon(tbl)
end

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{AH6_GAU-19_NT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"gau19.png",
	displayName		=	_("GAU-19 - No Tracers"),-- loadout editor name
	Weight			=	63, --loaded	63kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "AH6_GAU19"}},
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
			AH6_GAU19_NT({
				ejector_dir = {0,-1,-0.5},
				supply_position = {2, -0.3, -0.4}
			})			
	},	
	shape_table_data = {{file  	 = 'AH6_GAU19_NT';	username = 'GAU-19_gun_NT'; index = WSTYPE_PLACEHOLDER;}}
})

function UH60_M134_LT(tbl) --ANDR0ID, Fewer Tracers
    tbl.category = CAT_GUN_MOUNT
    tbl.name     = "M134_LT"
    tbl.supply = 
	{
		shells = {"7.62x51mm M80","7.62x51mm M61","7.62x51mm M62"}, --ANDR0ID modified due to how DCS does shells 
		mixes  = {{1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,3}}, --ANDR0ID added (25th Round tracer)
        count = 4000,
    }
    if tbl.mixes then
        tbl.supply.mixes = tbl.mixes
        tbl.mixes = nil
    end
    tbl.gun =
    {
        max_burst_length    = 6, --4000,
        rates               = {6000},
        recoil_coeff        = 0.01,
        barrels_count       = 6,
    }
    if tbl.rates then
       tbl.gun.rates        =  tbl.rates
       tbl.rates            = nil
    end
    tbl.ejector_pos             = tbl.ejector_pos or {0.0, -0.9, 0}
    tbl.ejector_pos_connector   = tbl.ejector_pos_connector or {0.0, -0.9, 0}
    tbl.ejector_dir             = {-1, -6, 0}
    tbl.supply_position         = tbl.supply_position or {0,  0.3, -0.3}
    tbl.aft_gun_mount           = false
    tbl.effective_fire_distance = 1500
    tbl.drop_cartridge          = 204
    tbl.muzzle_pos              = tbl.muzzle_pos            or  {0,0,0}     -- all position from connector
    tbl.muzzle_pos_connector    = tbl.muzzle_pos_connector  or  {0,0,0} 	-- all position from connector
    tbl.azimuth_initial         = tbl.azimuth_initial       or  0
    tbl.elevation_initial       = tbl.elevation_initial     or  -5
    if  tbl.effects == nil then
        tbl.effects = {{ name = "FireEffect"     , arg = tbl.effect_arg_number or 436 },
                       { name = "HeatEffectExt"  , shot_heat = 7.823, barrel_k = 1.2474, body_k = 6.6066 },
					   { name = "GatlingEffect", arg = 53, barrels_n = 6, spin_up_t = 0.2, spin_down_t = 0.1},
                       { name = "SmokeEffect"}
					}
    end
    return declare_weapon(tbl)
end

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134L_LT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134l.png",
	displayName		=	_("Minigun - Fewer Tracers"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134L_LT"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134_LT({
			supply_position         = {0.65, 0.25, 0},
			muzzle_pos              = {0.65, 0.25, 0},
			muzzle_pos_connector    = {0.65, 0.25, 0},
			elevation_initial		= -5,
		})
	},	
	shape_table_data = {{file = 'gun_m134L_LT';	username = 'gun_m134L_LT'; index = WSTYPE_PLACEHOLDER;}}	
})

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134R_LT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("Minigun - Fewer Tracers"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134R_LT"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134_LT({
			supply_position         = {0.65, 0.25, 0},
			muzzle_pos              = {0.65, 0.25, 0},
			muzzle_pos_connector    = {0.65, 0.25, 0},
			elevation_initial		= -5,
		})
	},	
	shape_table_data = {{file = 'gun_m134R_LT';	username = 'gun_m134R_LT'; index = WSTYPE_PLACEHOLDER;}}	
})

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134P_LT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("Minigun - Fewer Tracers"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134_pylon_LT"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134_LT({
			supply_position         = {0.65, -0.27, 0},
			muzzle_pos              = {0.65, -0.27, 0},
			muzzle_pos_connector    = {0.65, -0.27, 0},
			elevation_initial		= -4, --Changed from 5 to 4 due to lower pylon mounting position
		})
	},	
	shape_table_data = {{file = 'gun_m134_pylon_LT';	username = 'gun_m134_pylon_LT'; index = WSTYPE_PLACEHOLDER;}}	
})

function UH60_M134_NT(tbl) --ANDR0ID, No Tracers
    tbl.category = CAT_GUN_MOUNT
    tbl.name     = "M134_LT"
    tbl.supply = 
	{
		shells = {"7.62x51mm M80","7.62x51mm M61"}, --ANDR0ID modified due to how DCS does shells 
		mixes  = {{1,2}}, --ANDR0ID added 
        count = 4000,
    }
    if tbl.mixes then
        tbl.supply.mixes = tbl.mixes
        tbl.mixes = nil
    end
    tbl.gun =
    {
        max_burst_length    = 6, --4000,
        rates               = {6000},
        recoil_coeff        = 0.01,
        barrels_count       = 6,
    }
    if tbl.rates then
       tbl.gun.rates        =  tbl.rates
       tbl.rates            = nil
    end
    tbl.ejector_pos             = tbl.ejector_pos or {0.0, -0.9, 0}
    tbl.ejector_pos_connector   = tbl.ejector_pos_connector or {0.0, -0.9, 0}
    tbl.ejector_dir             = {-1, -6, 0}
    tbl.supply_position         = tbl.supply_position or {0,  0.3, -0.3}
    tbl.aft_gun_mount           = false
    tbl.effective_fire_distance = 1500
    tbl.drop_cartridge          = 204
    tbl.muzzle_pos              = tbl.muzzle_pos            or  {0,0,0}     -- all position from connector
    tbl.muzzle_pos_connector    = tbl.muzzle_pos_connector  or  {0,0,0} 	-- all position from connector
    tbl.azimuth_initial         = tbl.azimuth_initial       or  0
    tbl.elevation_initial       = tbl.elevation_initial     or  -5
    if  tbl.effects == nil then
        tbl.effects = {{ name = "FireEffect"     , arg = tbl.effect_arg_number or 436 },
                       { name = "HeatEffectExt"  , shot_heat = 7.823, barrel_k = 1.2474, body_k = 6.6066 },
					   { name = "GatlingEffect", arg = 53, barrels_n = 6, spin_up_t = 0.2, spin_down_t = 0.1},
                       { name = "SmokeEffect"}
					}
    end
    return declare_weapon(tbl)
end

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134L_NT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134l.png",
	displayName		=	_("Minigun - No Tracers"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134L_NT"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134_NT({
			supply_position         = {0.65, 0.25, 0},
			muzzle_pos              = {0.65, 0.25, 0},
			muzzle_pos_connector    = {0.65, 0.25, 0},
			elevation_initial		= -5,
		})
	},	
	shape_table_data = {{file = 'gun_m134L_NT';	username = 'gun_m134L_NT'; index = WSTYPE_PLACEHOLDER;}}	
})

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134R_NT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("Minigun - No Tracers"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134R_NT"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134_NT({
			supply_position         = {0.65, 0.25, 0},
			muzzle_pos              = {0.65, 0.25, 0},
			muzzle_pos_connector    = {0.65, 0.25, 0},
			elevation_initial		= -5,
		})
	},	
	shape_table_data = {{file = 'gun_m134R_NT';	username = 'gun_m134R_NT'; index = WSTYPE_PLACEHOLDER;}}	
})

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH60_M134P_NT}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("Minigun - No Tracers"),-- loadout editor name
	Weight			=	39, --loaded	39kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "gun_m134_pylon_NT"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M134_NT({
			supply_position         = {0.65, -0.27, 0},
			muzzle_pos              = {0.65, -0.27, 0},
			muzzle_pos_connector    = {0.65, -0.27, 0},
			elevation_initial		= -4, --Changed from 5 to 4 due to lower pylon mounting position
		})
	},	
	shape_table_data = {{file = 'gun_m134_pylon_NT';	username = 'gun_m134_pylon_NT'; index = WSTYPE_PLACEHOLDER;}}	
})

function UH60_M230(tbl)
    tbl.category = CAT_GUN_MOUNT
    tbl.name     = "M230"
    tbl.supply = 
	{ 
		shells = {"M230_HEDP M789"}, 
        count = 600,
    }
    if tbl.mixes then
        tbl.supply.mixes = tbl.mixes
        tbl.mixes = nil
    end
    tbl.gun =
    {
        max_burst_length    = 1,
        rates               = {625},
        recoil_coeff        = 0.91,
        barrels_count       = 1,
    }
    if tbl.rates then
       tbl.gun.rates        =  tbl.rates
       tbl.rates            = nil
    end
    tbl.ejector_pos             = tbl.ejector_pos or {-1.1, -0.2, 0.15}
    tbl.ejector_pos_connector   = tbl.ejector_pos_connector or {-1.1, -0.2, 0.15}
    tbl.ejector_dir             = {-1, -6, 0}
    tbl.supply_position         = tbl.supply_position or {0,  0.3, -0.3}
    tbl.aft_gun_mount           = false
    tbl.effective_fire_distance = 1800
    tbl.drop_cartridge          = 203
    tbl.muzzle_pos              = tbl.muzzle_pos            or  {0,0,0}     -- all position from connector
    tbl.muzzle_pos_connector    = tbl.muzzle_pos_connector  or  {0,0,0} 	-- all position from connector
    tbl.azimuth_initial         = tbl.azimuth_initial       or  0
    tbl.elevation_initial       = tbl.elevation_initial     or  -3
    if  tbl.effects == nil then
        tbl.effects = { {
					arg = 350,
					attenuation = 2,
					duration = 0.02,
					light_pos = { 0.5, 0, 0 },
					name = "FireEffect"
				}, {
					name = "SmokeEffect"
				} }
					
    end
    return declare_weapon(tbl)
end

declare_loadout({
	category 		=   CAT_PODS,
	CLSID	 		=  "{UH_60_M230}",
	attribute		=   {wsType_Weapon,wsType_GContainer,wsType_Cannon_Cont,WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon	= 	{wsType_Weapon,wsType_Shell,wsType_Shell,WSTYPE_PLACEHOLDER},
	Picture			=	"m134r.png",
	displayName		=	_("M-230, 30MM M789 HEDP (600 rnds)"),-- loadout editor name
	Weight			=	60, --loaded	60kg empty gun + ???50kg ammo???  ammo is stored over center of mass. adding ammo weight here will cause bigger imbalance. need to find way to add ammo weight at center of gravity
	Cx_pil			=	0.00024,
	Elements  		= {{ShapeName = "M230"}},	
	kind_of_shipping = 2,--SOLID_MUNITION
	gun_mounts		= {
        UH60_M230({
			supply_position         = {0, 0, 0},
			muzzle_pos              = {1.27, 0.01, -0.02},
			muzzle_pos_connector    = {0, 0, 0},
			elevation_initial		= -3,
		})
	},	
	shape_table_data = {{file = 'M230';	username = 'M230'; index = WSTYPE_PLACEHOLDER;}}	
})

local function fuel_tank_dual_120(clsid)
	local data =
	{
		category	= CAT_FUEL_TANKS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "PTB.png",
		displayName	= _("JAYHAWK Dual 120 Gal Tanks"),
		Weight_Empty	= 400 * POUNDS_TO_KG,
		Weight			= ((400 * POUNDS_TO_KG) + (240 * GALLON_TO_KG)), -- 240USG
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "JAYHAWK_Dual_120_Tank";
				file	= "JAYHAWK_120_Fuel_Dual_Tank";
				life	= 1;
				fire	= { 0, 1};
				username	= "JAYHAWK_Dual_120_Tank";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "JAYHAWK_120_Fuel_Dual_Tank",
			}, 
		}, 
	}
	declare_loadout(data)
end
fuel_tank_dual_120("{JAYHAWK_Dual_120_Tank}")

local function fuel_tank_120(clsid)
	local data =
	{
		category	= CAT_FUEL_TANKS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "PTB.png",
		displayName	= _("JAYHAWK 120 Gal Tank"),
		Weight_Empty	= 200 * POUNDS_TO_KG,
		Weight			= ((200 * POUNDS_TO_KG) + (120 * GALLON_TO_KG)),
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "JAYHAWK_FUEL_TANK_120";
				file	= "JAYHAWK_120_Fuel_Tank";
				life	= 1;
				fire	= { 0, 1};
				username	= "JAYHAWK_FUEL_TANK_120";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "JAYHAWK_120_Fuel_Tank",
			}, 
		}, 
	}
	declare_loadout(data)
end
fuel_tank_120("{JAYHAWK_FUEL_TANK_120}")

local function fuel_tank_80(clsid)
	local data =
	{
		category	= CAT_FUEL_TANKS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "PTB.png",
		displayName	= _("JAYHAWK 80 Gal Tank"),
		Weight_Empty	= 180 * POUNDS_TO_KG,
		Weight			= ((180 * POUNDS_TO_KG) + (80 * GALLON_TO_KG)),
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "JAYHAWK_FUEL_TANK_80";
				file	= "JAYHAWK_80gal_Fuel_Tankv2";
				life	= 1;
				fire	= { 0, 1};
				username	= "JAYHAWK_FUEL_TANK_80";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "JAYHAWK_80gal_Fuel_Tankv2",
			}, 
		}, 
	}
	declare_loadout(data)
end
fuel_tank_80("{JAYHAWK_FUEL_TANK_80}")

local function MH60_JAYHAWK(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "JH.png",
		displayName	= _("MH-60J JAYHAWK"),
		Weight_Empty	= 0 * POUNDS_TO_KG,--ANDR0ID, base mod pylon is zero, so staying consistant.
		Weight			= 0 * POUNDS_TO_KG,
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "MH60_J_JAYHAWK";
				file	= "UH60L_Jayhawk";
				life	= 1;
				fire	= { 0, 1};
				username	= "MH60_J_JAYHAWK";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "UH60L_Jayhawk",
			}, 
		}, 
	}
	declare_loadout(data)
end
MH60_JAYHAWK("{MH60_J_JAYHAWK}")

local function MH60_R_Pylon(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "SH.png",
		displayName	= _("SEAHAWK Pylon"),
		Weight_Empty	= 0 * POUNDS_TO_KG,--ANDR0ID, base mod pylon is zero, so staying consistant.
		Weight			= 0 * POUNDS_TO_KG,
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "Seahawk_Pylon";
				file	= "Seahawk_Pylon";
				life	= 1;
				fire	= { 0, 1};
				username	= "Seahawk_Pylon";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "Seahawk_Pylon",
			}, 
		}, 
	}
	declare_loadout(data)
end
MH60_R_Pylon("{Seahawk_Pylon}")

local function SH_fuel_tank_120(clsid)
	local data =
	{
		category	= CAT_FUEL_TANKS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "PTB.png",
		displayName	= _("Seahawk 120 Gal Tank"),
		Weight_Empty	= 200 * POUNDS_TO_KG,
		Weight			= ((200 * POUNDS_TO_KG) + (120 * GALLON_TO_KG)),
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "SEAHAWK_FUEL_TANK_120";
				file	= "SEAHAWK_120_Fuel_Tank";
				life	= 1;
				fire	= { 0, 1};
				username	= "SEAHAWK_FUEL_TANK_120";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "SEAHAWK_120_Fuel_Tank",
			}, 
		}, 
	}
	declare_loadout(data)
end
SH_fuel_tank_120("{SEAHAWK_FUEL_TANK_120}")

local function MH60_PAVEHAWK(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "PH.png",
		displayName	= _("MH-60G PAVEHAWK"),
		Weight_Empty	= 0 * POUNDS_TO_KG,--ANDR0ID, base mod pylon is zero, so staying consistant.
		Weight			= 0 * POUNDS_TO_KG,
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "MH60_PAVEHAWK";
				file	= "Pavehawk";
				life	= 1;
				fire	= { 0, 1};
				username	= "MH60_PAVEHAWK";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "Pavehawk",
			}, 
		}, 
	}
	declare_loadout(data)
end
MH60_PAVEHAWK("{MH60_PAVEHAWK}")

local function MH60_L(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "MH.png",
		displayName	= _("MH-60L SOAR"),
		Weight_Empty	= 0 * POUNDS_TO_KG,--ANDR0ID, base mod pylon is zero, so staying consistant.
		Weight			= 0 * POUNDS_TO_KG,
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "MH60_L";
				file	= "MH60_SOAR";
				life	= 1;
				fire	= { 0, 1};
				username	= "MH60_L";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "MH60_SOAR",
			}, 
		}, 
	}
	declare_loadout(data)
end
MH60_L("{MH60_L}")

local function STUBBY(clsid)
	local data =
	{
		category	= CAT_PODS,
		CLSID		= clsid,
		attribute	=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture		= "MH.png",
		displayName	= _("MH-60L STUB WING"),
		Weight_Empty	= 0, --ANDR0ID, base mod pylon is zero, so staying consistant. 
		Weight			= 0,
		Cx_pil		= 0.000956902,
		shape_table_data = 
		{
			{
				name	= "STUBBY";
				file	= "Stub_Wing";
				life	= 1;
				fire	= { 0, 1};
				username	= "STUBBY";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "Stub_Wing",
			}, 
		}, 
	}
	declare_loadout(data)
end
STUBBY("{STUBBY}")

local AIM_92C =
{
	category		= CAT_AIR_TO_AIR,
	name			= "AIM-92C",
	user_name		= "AIM-92C",
	display_name = "AIM-92C",
	wsTypeOfWeapon 	= {wsType_Weapon, wsType_Missile, wsType_AA_Missile, WSTYPE_PLACEHOLDER},
	Escort = 0,
	Head_Form = 1,
	Head_Type = 1,
	sigma = { 10, 10, 10 },
	M = 10.1,
	Damage = 7.5,
	H_max = 3500,
	H_min = 1,
	H_min_t = 10,
	Diam = 70,
	Cx_pil = 1,
	D_max = 5000,
	D_min = 20,
	Life_Time = 30,
	Nr_max = 18,
	v_min = 70,
	v_mid = 300,
	Mach_max = 2.2,
	t_b = 0,
	t_acc = 3,
	t_marsh = 3,
	Range_max = 6000,
	Fi_start 		= 3.14152,
	Fi_rak 		    = 3.14152,
	Fi_excort 		= 2.2,
	Fi_search 		= 99.9,
	OmViz_max 		= 99.9,
	PN_coeffs = { 2, 1000, 1, 5000, 0.5 },
	warhead 		= {
			caliber = 70,
			concrete_factors = { 1, 1, 1 },
			concrete_obj_factor = 0,
			cumulative_factor = 0,
			cumulative_thickness = 0,
			expl_mass = 3,
			fantom = 1,
			mass = 3,
			obj_factors = { 1, 1 },
			other_factors = { 1, 1, 1 },
			piercing_mass = 0.6,
			time_self_destruct = 17
		},
	exhaust = { 1, 1, 1, 0.5 },
	X_back = -0.781,
	Y_back = 0,
	Z_back = 0,
	Reflection = 0.01,
	KillDistance = 0,
	ccm_k0 = 0.5,
	
	SeekerSensivityDistance = 10000,
	SeekerCooled = true,
	shape_table_data =
	{
		{
			name	 = "AIM-92C",
			file	 = "fim-92",
			life	 = 1,
			fire	 = {0, 1},
			username = "AIM-92C",
			index = WSTYPE_PLACEHOLDER,
		},
	}
	
}
declare_weapon(AIM_92C)

declare_loadout({
	category 			= CAT_AIR_TO_AIR,
	CLSID	 			= "{ATAS_2xAIM-92C}",
	Picture				= "24_ME_ATGM_Launch+2_Miss.png",
	Cx_pil				= 0.001,
	displayName			= "ATAS 2 x AIM-92C",
	Weight				= 13 + 2 * (7 + 10.1),
	Weight_Empty		= 13 + 2 * 7,
	Count				= 2,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_Missile, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = AIM_92C.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "ATAS_Launcher", IsAdapter = true }}
})

local AIM_92E =
{
	category		= CAT_AIR_TO_AIR,
	name			= "AIM-92E",
	user_name		= "AIM-92E",
	display_name = "AIM-92E",
	wsTypeOfWeapon 	= {wsType_Weapon, wsType_Missile, wsType_AA_Missile, WSTYPE_PLACEHOLDER},
	Escort = 0,
	Head_Form = 1,
	Head_Type = 1,
	sigma = { 10, 10, 10 },
	M = 10.1,
	Damage = 7.5,
	H_max = 3500,
	H_min = -1,
	H_min_t = -1,
	Diam = 70,
	Cx_pil = 1,
	D_max = 5000,
	D_min = 20,
	Life_Time = 30,
	Nr_max = 55,
	v_min = 70,
	v_mid = 300,
	Mach_max = 2.2,
	t_b = 0,
	t_acc = 3,
	t_marsh = 3,
	Range_max = 6000,
	Fi_start 		= 3.14152,
	Fi_rak 		    = 3.14152,
	Fi_excort 		= 2.2,
	Fi_search 		= 99.9,
	OmViz_max 		= 99.9,
	PN_coeffs = { 2, 1000, 1, 5000, 0.5 },
	warhead 		= {
			caliber = 70,
			concrete_factors = { 1, 1, 1 },
			concrete_obj_factor = 0,
			cumulative_factor = 0,
			cumulative_thickness = 0,
			expl_mass = 3,
			fantom = 1,
			mass = 3,
			obj_factors = { 1, 1 },
			other_factors = { 1, 1, 1 },
			piercing_mass = 0.6,
			time_self_destruct = 17
		},
	exhaust = { 1, 1, 1, 0.5 },
	X_back = -0.781,
	Y_back = 0,
	Z_back = 0,
	Reflection = 0.01,
	KillDistance = 0,
	ccm_k0 = 0.2,
	
	SeekerSensivityDistance = 20000,
	SeekerCooled = true,
	shape_table_data =
	{
		{
			name	 = "AIM-92E",
			file	 = "fim-92",
			life	 = 1,
			fire	 = {0, 1},
			username = "AIM-92E",
			index = WSTYPE_PLACEHOLDER,
		},
	}
	
}
declare_weapon(AIM_92E)

declare_loadout({
	category 			= CAT_AIR_TO_AIR,
	CLSID	 			= "{ATAS_2xAIM-92E}",
	Picture				= "24_ME_ATGM_Launch+2_Miss.png",
	Cx_pil				= 0.001,
	displayName			= "ATAS 2 x AIM-92E",
	Weight				= 13 + 2 * (7 + 10.1),
	Weight_Empty		= 13 + 2 * 7,
	Count				= 2,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_Missile, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = AIM_92E.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "ATAS_Launcher", IsAdapter = true }}
})

local AIM_92J =
{
	category		= CAT_AIR_TO_AIR,
	name			= "AIM-92J",
	user_name		= "AIM-92J",
	display_name = "AIM-92J",
	wsTypeOfWeapon 	= {wsType_Weapon, wsType_Missile, wsType_AA_Missile, WSTYPE_PLACEHOLDER},
	Escort = 0,
	Head_Form = 1,
	Head_Type = 1,
	sigma = { 10, 10, 10 },
	M = 10.1,
	Damage = 8.0,
	H_max = 3500,
	H_min = -1,
	H_min_t = -1,
	Diam = 70,
	Cx_pil = 1,
	D_max = 5000,
	D_min = 20,
	Life_Time = 30,
	Nr_max = 55,
	v_min = 70,
	v_mid = 300,
	Mach_max = 2.2,
	t_b = 0,
	t_acc = 3,
	t_marsh = 3,
	Range_max = 6000,
	Fi_start 		= 3.14152,
	Fi_rak 		    = 3.14152,
	Fi_excort 		= 2.2,
	Fi_search 		= 99.9,
	OmViz_max 		= 99.9,
	PN_coeffs = { 2, 1000, 1, 5000, 0.5 },
	warhead 		= {
			caliber = 70,
			concrete_factors = { 1, 1, 1 },
			concrete_obj_factor = 0,
			cumulative_factor = 0,
			cumulative_thickness = 0,
			expl_mass = 6.6,
			fantom = 1,
			mass = 6.6,
			obj_factors = { 1, 1 },
			other_factors = { 1, 1, 1 },
			piercing_mass = 0.6,
			time_self_destruct = 17
		},
	exhaust = { 1, 1, 1, 0.5 },
	X_back = -0.781,
	Y_back = 0,
	Z_back = 0,
	Reflection = 0.01,
	KillDistance = 6.6,
	ccm_k0 = 0.2,
	
	SeekerSensivityDistance = 30000,
	SeekerCooled = true,
	shape_table_data =
	{
		{
			name	 = "AIM-92J",
			file	 = "fim-92",
			life	 = 1,
			fire	 = {0, 1},
			username = "AIM-92J",
			index = WSTYPE_PLACEHOLDER,
		},
	}
	
}
declare_weapon(AIM_92J)

declare_loadout({
	category 			= CAT_AIR_TO_AIR,
	CLSID	 			= "{ATAS_2xAIM-92J}",
	Picture				= "24_ME_ATGM_Launch+2_Miss.png",
	Cx_pil				= 0.001,
	displayName			= "ATAS 2 x AIM-92J",
	Weight				= 13 + 2 * (7 + 10.1),
	Weight_Empty		= 13 + 2 * 7,
	Count				= 2,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_Missile, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = AIM_92J.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "ATAS_Launcher", IsAdapter = true }}
})

local LAU_61_APKWS =
{
	category		= CAT_MISSILES,
	name			= "LAU-61_APKWS",
	user_name		= "LAU-61_APKWS",
	display_name = "LAU-61_APKWS",
	wsTypeOfWeapon 	= {wsType_Weapon, wsType_Missile, wsType_AS_Missile, WSTYPE_PLACEHOLDER},
	
	Cx_pil = 0.00146484375,
	D_max = 5000,
	D_min = 1000,
	Damage = 1.1,
	Diam = 70,
	Escort = 1,
	Fi_excort = 1.05,
	Fi_rak = 3.14152,
	Fi_search = 0.7,
	Fi_start = 0.4,
	H_max = 5000,
	H_min = 1,
	H_min_t = 15,
	Head_Form = 1,
	Head_Type = 4,
	KillDistance = 0,
	Life_Time = 90,
	M = 15,
	Mach_max = 3,
	Name = "Redacted",
	Nr_max = 25,
	OmViz_max = 0.35,
	Range_max = 5000,
	Reflection = 0.04,
	X_back = -2,
	Y_back = 0,
	Z_back = 0,
	
	_file = "./CoreMods/aircraft/AircraftWeaponPack/AS_Missiles.lua",
	_origin = "AircraftWeaponPack",
	
	autopilot = {
		Kd = 150,
		Kdx = 0.2,
		Kix = 0.8,
		Knav = 12,
		Tf = 0.2,
		dV_dt = 20,
		delay = 0.9,
		fins_limit = 0.34906585039887,
		fins_limit_x = 0.17453292519943,
		gload_limit = 10,
		op_time = 45
	},
	
	category = 2,
	class_name = "wAmmunitionLaserHoming",
	
	warhead 		= {
	caliber = 70,
	concrete_factors = { 1.17, 1.17, 0.1 },
	concrete_obj_factor = 0.5,
	cumulative_factor = 0,
	cumulative_thickness = 0,
	expl_mass = 0.44,
	length = 0.412,
	mass = 6.2,
	obj_factors = { 1.17, 1.17 },
	other_factors = { 1.17, 1.17, 1.17 },
	piercing_mass = 6.2
	},
	
	exhaust = { 0.78, 0.78, 0.78, 0.3 },
	fm = {
		A = 0.36,
		I = 4.095125,
		I_x = 1.01,
		L = 1.81,
		Ma = 0.84,
		Ma_x = 1.8,
		Mw = 3.5,
		Mw_x = 1.12,
		Mx0 = 0.2,
		Sw = 0.04,
		caliber = 0.07,
		cx_coeff = { 1, 1.5, 0.68, 0.7, 1.75 },
		dCydA = { 0.11, 0.11 },
		finsTau = 0.1,
		mass = 17,
		maxAoa = 0.13962634015955,
		shapeName = "AGR_20",
		wind_sigma = 5,
		wind_time = 1.1
	},
	march = {
		boost_factor = 1,
		boost_tail = 1,
		boost_time = 0,
		custom_smoke_dissipation_factor = 0.2,
		fuel_mass = 3.175,
		impulse = 210,
		nozzle_orientationXYZ = { { 0, 0, 0 } },
		nozzle_position = { { -0.95, 0, 0 } },
		smoke_color = { 0.5, 0.474, 0.443 },
		smoke_transparency = 0.5,
		tail_width = 0.052,
		work_tail = 1,
		work_time = 1.1
	},
	mass = 17,
	
	model = "AGR_20",
	
	seeker = {
		FOV = 0.69813170079773,
		delay = 1.1,
		max_seeker_range = 13000
	},
	
	shape_table_data =
	{
		{
			name	 = "LAU-61_APKWS",
			file	 = "AGR_20",
			life	 = 1,
			fire	 = {0, 1},
			username = "LAU-61_APKWS",
			index = WSTYPE_PLACEHOLDER,
		},
	},
	
	sigma = { 1, 1, 1 },
	t_acc = 0,
	t_b = 0,
	t_marsh = 1.1,
	
	v_mid = 500,
	v_min = 140
}
declare_weapon(LAU_61_APKWS)

declare_loadout({
	category 			= CAT_MISSILES,
	CLSID	 			= "{LAU_61_AGR_20_APKWS}",
	Picture				= "lau61.png",
	Cx_pil				= 0.00146484375,
	displayName			= "LAU-61 pod - 19 x 2.75'' Hydra, Laser Guided Rkts, M282, MPP APKWS",
	Weight				= (205 + (32*19)) * POUNDS_TO_KG,
	Weight_Empty		= 205 * POUNDS_TO_KG,
	Count				= 19,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_Missile, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = LAU_61_APKWS.wsTypeOfWeapon,
	Elements			= {	{ ShapeName = "lau-61", IsAdapter = true, },
	{ ShapeName = "AGR_20", connector_name = "tube_01", },
	{ ShapeName = "AGR_20", connector_name = "tube_02", },
	{ ShapeName = "AGR_20", connector_name = "tube_03", },
	{ ShapeName = "AGR_20", connector_name = "tube_04", },
	{ ShapeName = "AGR_20", connector_name = "tube_05", },
	{ ShapeName = "AGR_20", connector_name = "tube_06", },
	{ ShapeName = "AGR_20", connector_name = "tube_07", },
	{ ShapeName = "AGR_20", connector_name = "tube_08", },
	{ ShapeName = "AGR_20", connector_name = "tube_09", },
	{ ShapeName = "AGR_20", connector_name = "tube_10", },
	{ ShapeName = "AGR_20", connector_name = "tube_11", },
	{ ShapeName = "AGR_20", connector_name = "tube_12", },
	{ ShapeName = "AGR_20", connector_name = "tube_13", },
	{ ShapeName = "AGR_20", connector_name = "tube_14", },
	{ ShapeName = "AGR_20", connector_name = "tube_15", },
	{ ShapeName = "AGR_20", connector_name = "tube_16", },
	{ ShapeName = "AGR_20", connector_name = "tube_17", },
	{ ShapeName = "AGR_20", connector_name = "tube_18", },
	{ ShapeName = "AGR_20", connector_name = "tube_19", },
	}
})

local LWL_12_MPP = {
	category			= CAT_ROCKETS,
	name				= "LWL_MPP",
	user_name			= "LWL_MPP",
	wsTypeOfWeapon		= {wsType_Weapon,wsType_NURS,wsType_Rocket,WSTYPE_PLACEHOLDER},
	scheme 				= "nurs-standard",
	model 				= "hydra_m282",

        fm = 
        {
            mass        = 12.4,   -- start weight, kg
            caliber     = 0.07, -- Caliber, meters 
            cx_coeff    = { 1, 1.5, 0.68, 0.7, 1.75 },  -- Cx
            L           = 1.472, --Length, meters
            I           = 2.2390101333333, -- moment of inertia
            Ix          = 6, -- not used???
            Ma          = 0.23322, -- dependence moment coefficient of  by  AoA
            Mw          = 2.177036, --  dependence moment coefficient by angular speed
            shapeName   = "",
            
            wind_time   = 1.1, -- dispersion coefficient
            wind_sigma  = 5, -- dispersion coefficient
        },

        engine =
        {
            fuel_mass   = 3.175, -- Fuel mass, kg
            impulse     = 210, -- Specific impulse, sec
            boost_time  = 0, -- Time of booster action
            work_time   = 1.1, -- Time of mid-flight engine action
            boost_factor= 1, -- Booster to cruise trust ratio
            nozzle_position = {{ -0.65, 0, 0 }}, -- meters
            tail_width  = 0.052, -- contrail thickness 
            boost_tail  = 1,
            work_tail   = 1,

            smoke_color = { 0.5, 0.474, 0.443 },
			smoke_transparency = 0.5,
        },

	warhead	=
	{
		mass	= 6.2,
		expl_mass = 0.44,
		other_factors = { 1.17, 1.17, 1.17 },
		concrete_factors = { 1.17, 1.17, 0.1 },
		concrete_obj_factor = 0.5,
		obj_factors = { 1.17, 1.17 },
		cumulative_factor= 0,
		cumulative_thickness = 0,
		piercing_mass			= 6.2,
	},

	shape_table_data =
	{
		{
			file		 = "hydra_m282",
			life		 = 1,
			fire		 = {0, 1},
			username = "LWL_MPP",
			index = WSTYPE_PLACEHOLDER,
		},
	},

	properties =
	{
		dist_min = 500,
		dist_max = 4000,
	}
}

declare_weapon(LWL_12_MPP)

declare_loadout({ 						--ANDR0ID, this loadout allows the mod defined MPP rockets to be in a mixed configuration by assigning them a CLSID for use in a different loadout
	category 			= CAT_ROCKETS, 
	CLSID	 			= "{M282_MPP}",
	Picture				= "lwltwelve.png",
	Cx_pil				= 0.001708984375,
	displayName			= "Hydra, M282, MPP",
	Weight				= 12.4,
	Weight_Empty		= 12.4,
	Count				= 1,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_NURS, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = LWL_12_MPP.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "hydra_m282", },
	}
})

declare_loadout({
	category 			= CAT_ROCKETS,
	CLSID	 			= "{LWL_12_M282_MPP}",
	Picture				= "lwltwelve.png",
	Cx_pil				= 0.0015869140625,
	displayName			= "LWL-12 pod - 12 x2.75'' Hydra, M282, MPP",
	Weight				= (63 + (27*12)) * POUNDS_TO_KG,
	Weight_Empty		= 63 * POUNDS_TO_KG,
	Count				= 12,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_NURS, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = LWL_12_MPP.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "LWL_12", IsAdapter = true, },
	{ ShapeName = "hydra_m282", connector_name = "tube_01", },
	{ ShapeName = "hydra_m282", connector_name = "tube_02", },
	{ ShapeName = "hydra_m282", connector_name = "tube_03", },
	{ ShapeName = "hydra_m282", connector_name = "tube_04", },
	{ ShapeName = "hydra_m282", connector_name = "tube_05", },
	{ ShapeName = "hydra_m282", connector_name = "tube_06", },
	{ ShapeName = "hydra_m282", connector_name = "tube_07", },
	{ ShapeName = "hydra_m282", connector_name = "tube_08", },
	{ ShapeName = "hydra_m282", connector_name = "tube_09", },
	{ ShapeName = "hydra_m282", connector_name = "tube_10", },
	{ ShapeName = "hydra_m282", connector_name = "tube_11", },
	{ ShapeName = "hydra_m282", connector_name = "tube_12", },
	}
})

local LWL_12_RP = {
	category			= CAT_ROCKETS,
	name				= "LWL_RP",
	user_name			= "LWL_RP",
	wsTypeOfWeapon		= {wsType_Weapon,wsType_NURS,wsType_Rocket,WSTYPE_PLACEHOLDER},
	scheme 				= "nurs-marker",
	model 				= "hydra_m156",

        fm = 
        {
            mass        = 12.4,   -- start weight, kg
            caliber     = 0.07, -- Caliber, meters 
            cx_coeff    = { 1, 1.5, 0.68, 0.7, 1.75 },  -- Cx
            L           = 1.472, --Length, meters
            I           = 2.2390101333333, -- moment of inertia
            Ix          = 6, -- not used???
            Ma          = 0.23322, -- dependence moment coefficient of  by  AoA
            Mw          = 2.177036, --  dependence moment coefficient by angular speed
            shapeName   = "",
            
            wind_time   = 1.1, -- dispersion coefficient
            wind_sigma  = 5, -- dispersion coefficient
        },

        engine =
        {
            fuel_mass   = 3.175, -- Fuel mass, kg
            impulse     = 210, -- Specific impulse, sec
            boost_time  = 0, -- Time of booster action
            work_time   = 1.1, -- Time of mid-flight engine action
            boost_factor= 1, -- Booster to cruise trust ratio
            nozzle_position = {{ -0.65, 0, 0 }}, -- meters
            tail_width  = 0.052, -- contrail thickness 
            boost_tail  = 1,
            work_tail   = 1,

            smoke_color = { 0.5, 0.474, 0.443 },
			smoke_transparency = 0.5,
        },

	warhead = {
			caliber = 70,
			color = { .28, 0.0, 0.0 }, --.5, 0.02, 0.02
			duration = 40,
			expl_mass = 1.752,
			fantom = 1,
			flare = false,
			intensity = 3,
			length = 0.412,
			mass = 4.38,
			piercing_mass = 0.876,
			transparency = 0.8
		},

	shape_table_data =
	{
		{
			file		 = "hydra_m156",
			life		 = 1,
			fire		 = {0, 1},
			username = "LWL_RP",
			index = WSTYPE_PLACEHOLDER,
		},
	},

	properties =
	{
		dist_min = 500,
		dist_max = 4000,
	}
}

declare_weapon(LWL_12_RP)

declare_loadout({ 						--ANDR0ID, this loadout allows the mod defined MPP rockets to be in a mixed configuration by assigning them a CLSID for use in a different loadout
	category 			= CAT_ROCKETS, 
	CLSID	 			= "{M156_RP}",
	Picture				= "lwltwelve.png",
	Cx_pil				= 0.001708984375,
	displayName			= "Hydra, M156, RP",
	Weight				= 12.4,
	Weight_Empty		= 12.4,
	Count				= 1,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_NURS, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = LWL_12_RP.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "hydra_m156", },
	}
})

declare_loadout({
	category 			= CAT_ROCKETS,
	CLSID	 			= "{LWL_12_SMOKE_MPP}",
	Picture				= "lwltwelve.png",
	Cx_pil				= 0.0015869140625,
	displayName			= "LWL-12 pod - 12 x2.75'' Hydra, 3 xM264 Red Phosphorus Smoke / 9 xM282 MPP",
	Weight				= (63 + (27*12)) * POUNDS_TO_KG,
	Weight_Empty		= 63 * POUNDS_TO_KG,
	Count				= 12,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_NURS, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = LWL_12_MPP.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "LWL_12", IsAdapter = true, },
	{ connector_name = "tube_01", payload_CLSID = "{M156_RP}"},
	{ connector_name = "tube_02", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_03", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_04", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_05", payload_CLSID = "{M156_RP}"},
	{ connector_name = "tube_06", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_07", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_08", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_09", payload_CLSID = "{M156_RP}"},
	{ connector_name = "tube_10", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_11", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_12", payload_CLSID = "{M282_MPP}"},
	}
})

declare_loadout({
	category 			= CAT_ROCKETS,
	CLSID	 			= "{LWL_12_SMOKE2_MPP}",
	Picture				= "lwltwelve.png",
	Cx_pil				= 0.0015869140625,
	displayName			= "LWL-12 pod - 12 x2.75'' Hydra, 3 xM274 White Phosphorus Smoke / 9 xM282 MPP",
	Weight				= (63 + (27*12)) * POUNDS_TO_KG,
	Weight_Empty		= 63 * POUNDS_TO_KG,
	Count				= 12,
	kind_of_shipping	= 0,
	attribute			= {wsType_Weapon, wsType_NURS, wsType_Container, WSTYPE_PLACEHOLDER},
	wsTypeOfWeapon = LWL_12_MPP.wsTypeOfWeapon,
	Elements			= {{ ShapeName = "LWL_12", IsAdapter = true, },
	{ connector_name = "tube_01", payload_CLSID = "{M274_HYDRA}"},
	{ connector_name = "tube_02", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_03", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_04", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_05", payload_CLSID = "{M274_HYDRA}"},
	{ connector_name = "tube_06", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_07", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_08", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_09", payload_CLSID = "{M274_HYDRA}"},
	{ connector_name = "tube_10", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_11", payload_CLSID = "{M282_MPP}"},
	{ connector_name = "tube_12", payload_CLSID = "{M282_MPP}"},
	}
})
--End ANDR0ID Added--------------------------------------


