UH60L =
{
	Name										=	'UH-60L',
	Picture										=	'UH-60L.png',	-- Mission editor loadout picture
	DisplayName									=	_('UH-60L'),

	shape_table_data 	=
	{
		{
			file  	    = 'UH-60L';
			username    = 'UH-60L';
			desrt		= 'UH-60L_destr';
			index       =  WSTYPE_PLACEHOLDER;
			life  	    = 16; --   The strength of the object (ie. lifebar *)
			vis   	    = 3; -- Visibility factor (For a small objects is better to put lower nr).
			fire  	    = { 300, 2}; -- Fire on the ground after destoyed: 300sec 4m
			classname   = "lLandPlane";
			positioning = "BYNORMAL";
		},
		{
			name  ="UH-60L_destr";
			file  ="UH-60L_destr";
			fire  = { 240, 2};
		},
	},

	mapclasskey 		= "P0091000020", -- Utility Helo MIL-2525 symbol
	attribute  			= {wsType_Air, wsType_Helicopter, wsType_Battleplane, WSTYPE_PLACEHOLDER ,"Attack helicopters", "Refuelable"},
	Categories 			= {},
	Rate 				= 30,  -- RewardPoint in Multiplayer
	Countries = {
		"Abkhazia",
		"Algeria",
		"Argentina",
		"Australia",
		"Austria",
		"Belarus",
		"Belgium",
		"Brazil",
		"Bulgaria",
		"Canada",
		"China",
		"Chile",
		"Croatia",
		"Cuba",
		"Czech Republic",
		"Cyprus",
		"Denmark",
		"Egypt",
		"Finland",
		"France",
		"Georgia",
		"Germany",
		"Ghana",
		"Greece",
		"Honduras",
		"Hungary",
		"India",
		"Indonesia",
		"Insurgents",
		"Iran",
		"Iraq",
		"Israel",
		"Italy",
		"Japan",
		"Jordan",
		"Kazakhstan",
		"Lebanon",
		"Libya",
		"Malaysia",
		"Mexico",
		"Morocco",
		"The Netherlands",
		"Nigeria",
		"North Korea",
		"Norway",
		"Oman",
		"Pakistan",
		"Peru",
		"Phllipines",
		"Poland",
		"Qatar",
		"Romania",
		"Russia",
		"Saudi Arabia",
		"Serbia",
		"Slovakia",
		"Slovenia",
		"South Africa",
		"South Korea",
		"South Ossetia",
		"Spain",
		"Sudan",
		"Sweden",
		"Switzerland",
		"Syria",
		"Thailand",
		"Tunisia",
		"Turkey",
		"UK",
		"Ukraine",
		"United Arab Emirates",
		"United Nations Peacekeepers",
		"USA",
		"USAF Aggressors",
		"Venezuela",
		"Vietnam",
		"Yemen"
	},
	InternalCargo =
	{
		nominalCapacity = 2400,
		maximalCapacity = 2400,
	},
	-------------- Aircraft Physical properties -----------
	length				= 19.76, -- meters
	height				= 5.13,-- meters
	rotor_RPM			= 258,
	M_empty				= 5675, --kg
	M_nominal			= 8500, --kg
	M_max				= 10659.421, --kg 23500lbs
	M_fuel_max			= 1362, -- kg	1 litre = 0.79 kg	1362.75l
	RCS					= 10, -- Radar Cross Section m^2
	IR_emission_coeff	= 0.22, -- 1 is IR emission of Su-27
	------------------------ Gear ---------------------------------------------
	nose_gear_pos 							 = {-7.436, -2.55, 0}, -- {forward/back,up/down,left/right}  used for initial aircraft placement
	--nose_gear_amortizer_direct_stroke        = 0, -- down from nose_gear_pos
	--nose_gear_amortizer_reversal_stroke      = -0.14, -- max strut compression up from nose_gear_pos
	--nose_gear_amortizer_normal_weight_stroke = -0.05,
	nose_gear_wheel_diameter				 = 0.35, 
	
	tand_gear_max							 = math.tan(180), -- nosewheel steering angle.  (tan(32.6)=0.64  +/-32 degrees) 
	
	main_gear_pos 							 = {2.658, -2.7, 1.35},	-- used for initial aircraft placement
	--main_gear_amortizer_direct_stroke	     = 0, --  down from main_gear_pos 
	--main_gear_amortizer_reversal_stroke      = -0.48, --   max strut compression up from main_gear_pos 
	--main_gear_amortizer_normal_weight_stroke = -0.4,
	main_gear_wheel_diameter				 = 0.5,
	------------------ AI defs ------------------------------
	-- From UH-60A AI (mostly)
	V_max				=	355.584, -- this must be in kph? 192kts
	V_max_cruise		=	296.32,	-- cruise speed 160kts
	Vy_max				=	12.8, --Max climb speed in m/s
	H_stat_max_L		=	4170,
	H_max 				=	5500, --km, max operation height
	H_stat_max			=	3170,
	H_din_two_eng		=	5790,
	H_din_one_eng		=	2900,
	range				=	600, --km, for AI
	flight_time_typical	=	110,
	flight_time_maximum	=	138,
	Vy_land_max			=	12.8, -- landing speed
	Ny_max				=	1.7, --max G for AI
	Sensors =
	{	-- defines what the AI can use in terms of sensors
           OPTIC = {"TADS DVO"}, -- AI can engage enemy at night
           RWR = "Abstract RWR"
	},
	--CanopyGeometry = makeHelicopterCanopyGeometry(LOOK_AVERAGE, LOOK_AVERAGE, LOOK_AVERAGE),
	CanopyGeometry =
	{
           azimuth   = {-100.0, 120.0}, -- pilot view horizontal (AI)
           elevation = {-50.0, 110.0}, -- pilot view vertical (AI)
    },
	---------------------- unknown ---------------------------------------------
	lead_stock_main		=	-0.1,
	lead_stock_support	=	-0.1,
	scheme				=	0,
	fire_rate			=	625,
	cannon_sight_type	=	0,
	------------ AI flight model probably (doesnt affect human FM)---------------
	rotor_height		=	1.791,-- meters
	rotor_diameter		=	16.4,
	blade_chord			=	0.5334,
	blades_number		=	4,
	blade_area			=	3.48,
	fuselage_Cxa0		=	0.45,
	fuselage_Cxa90		=	5.9,
	fuselage_area		=	4.9,
	centering			=	-0.09,
	tail_pos 			= 	{-10.042, 1.76, 0},
	tail_fin_area		=	4.75,
	tail_stab_area		=	2.94,
	thrust_correction	=	0.75,--0.75,
	rotor_MOI			=	8700,
	rotor_pos 			= 	{ 0, 1.646, 0 },

	-- Refuel stuff
    is_tanker                   =  false,
    tanker_type                 =  2,                     -- Tanker type if the plane is tanker
	air_refuel_receptacle_pos   =  {10.586, -1.568, 1.325},

	helicopter_hook_pos = { 0, -2, 0 },
	cargo_radius_in_menu = 2000,

	engines_count		=	4, -- don't ask, you don't want to know...
	engines_nozzles =
	{
	    -------------------------ENGINE LEFT-------------------------
		{
			pos     		= {-2.9, 0.1, -1.1}, -- important for heatblur effect
			diameter      = 0.13,
			engine_number = 1,
			--exhaust_length_ab	=	1,
			--exhaust_length_ab_K	=	0.76,
			smokiness_level = 0.01,
		},
		{
			pos     		= {-2.9, 0.1, 1.1}, -- important for heatblur effect
			diameter      = 0.13,
			engine_number = 2,
			--exhaust_length_ab	=	1,
			--exhaust_length_ab_K	=	0.76,
			smokiness_level = 0.01,
		}
	},

	sounderName = "Aircraft/Planes/UH-60L",

	crew_size = 4,
	crew_members =
	{
		[1] =
		{	ejection_seat_name	=	0, -- name of object file used for pilot ejection
			drop_canopy_name	=	0, -- name of object file used for canopy jettison
			pos = 	{5.2,0.6,0.1}, -- used for ejection location
			ejection_order    = 1,
			can_be_playable  = true,
			role = "pilot",
			role_display_name = _("Pilot"),
			canopy_arg           = 38, 
		},
		[2] =
		{	ejection_seat_name	=	0,
			drop_canopy_name	=	0,
			pos = 	{5.2,0.6,0.1},
			ejection_order    = 2,
			--pilot_body_arg  = 501,
			can_be_playable  = true,
			role = "instructor",
			role_display_name = _("Copilot"),
			canopy_arg           = 38, 
		},
		[3] =
		{	ejection_seat_name	=	0,
			drop_canopy_name	=	0,
			pos = 	{4.0,0.6,0.1},
			ejection_order    = 3,
			--pilot_body_arg  = 501,
			can_be_playable  = true,
			role = "lgunner",
			role_display_name = _("Left Gunner"),
			canopy_arg           = 38, 
		},
		[4] =
		{	ejection_seat_name	=	0,
			drop_canopy_name	=	0,
			pos = 	{4.0,0.6,0.1},
			ejection_order    = 4,
			--pilot_body_arg  = 501,
			can_be_playable  = true,
			role = "rgunner",
			role_display_name = _("Right Gunner"),
			canopy_arg           = 38, 
		},
	},

	fires_pos =
	{
		[1] = {-2.9, 0.1, -1.1}, -- left turbine exit
		[2] = {-2.9, 0.1, 1.1}, -- right turbine exit
	},

	passivCounterm =
	{
		CMDS_Edit = false,
		SingleChargeTotal = 90,
		chaff = {default = 30, increment = 30, chargeSz = 1},
		flare = {default = 60, increment = 60, chargeSz = 1},
	},

    chaff_flare_dispenser =
	{
		--{ dir =  {Z, Y, X}, pos =  {Z, Y, X}, }  -- Z=back/fwd,Y=down/up(+),X=left/right
		-- chaff particles have no ejection power, so spawn them 1m up and back from launcher to give better effect
        [1] = { dir =  {-0.9,1,-0.1}, pos =  {-3.591 - 1, -0.982 + 1, -0.641}, }, -- chaff
        [2] = { dir =  {1, -1, -0.5}, pos =  {-4.115, -1.27, -0.695}, }, -- flare left
        [3] = { dir =  {1, -1, 0.5}, pos =  {-4.115, -1.27, 0.695}, }, -- flare right
    },


--[[
	Guns = 
	{
   },
	]]
		
	stores_number = 0,
	--HardpointRacksArg = 123,
	--HardpointRacksWeight = 401,
	--HardpointRacks_Edit = true,

	Pylons =
	{
		pylon(1, 0, 0.797, -1.244, 2.844,
			{
               use_full_connector_position = true,
			   --connector = "pylon4", --ANDR0ID "removed" Disuse of the connectors prevents weapon pylon issues with rockets/guns/missiles 
			   arg = 123,
			   DisplayName = "R Outbd" --ANDR0ID changed
            },
            {
				{
					CLSID = "{UH60_FUEL_TANK_230}",
					connector = "pylon4", --ANDR0ID Added
					arg_value = 0,
					attach_point_position = {0, 0, 0}, ---0.87, 0.22, 0
					required = {{station = 7,loadout = {"{UH60_FUEL_TANK_230}"}}},
					attach_point_oriented = true,
					forbidden =
					{
						{loadout = { "<CLEAN>" }, station = 2},
						{loadout = { "<CLEAN>" }, station = 6},
						{loadout = { "<CLEAN>" }, station = 7},
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3},--ANDR0ID Added 
					}
				},
				{
					CLSID = "<CLEAN>",
					arg_value = 1,
					required =
					{
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
				},
				{CLSID = "M261_MK151", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added 
				{CLSID = "{M261_M229}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M257}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M259}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M274}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M282}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added (hellfire)
				{CLSID = "{M299_2xAGM_114K}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{4F977A2A-CD25-44df-90EF-164BFA2AE72F}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_WP
				{CLSID = "{LAU68_FFAR_MK1HE}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HE
				{CLSID = "{LAU68_FFAR_MK5HEAT}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HEAT
				{CLSID = "{647C5F26-BDD1-41e6-A371-8DE1E4CC0E94}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Para_Ilum
				{CLSID = "{0877B74B-5A00-4e61-BA8A-A56450BA9E27}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice_Smoke
				{CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice
			
				{CLSID = "{LWL_12_M282_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Custom LWL-12 pod MPP
				{CLSID = "{LWL_12_SMOKE2_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Custom LWL-12 pod MPP
				{CLSID = "{LWL_12_SMOKE_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Custom LWL-12 pod MPP
				
				{CLSID = "{ATAS_2xAIM-92C}", arg_value = 0, attach_point_position = {0.2, 0.1, 0.0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},
                {CLSID = "{ATAS_2xAIM-92E}", arg_value = 0, attach_point_position = {0.2, 0.1, 0.0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},
                {CLSID = "{ATAS_2xAIM-92J}", arg_value = 0, attach_point_position = {0.2, 0.1, 0.0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},
			
			}
        ),
        pylon(2, 0, 0.797, -1.244, 2.058,
           {
               use_full_connector_position = true,
			   --connector = "pylon3", --"Removed"
			   arg = 123,
			   DisplayName = "R Inbd" --changed
            },
            {
							{
					CLSID = "{UH60_FUEL_TANK_230}",
					connector = "pylon3", --ANDR0ID Added
					arg_value = 0,
					attach_point_position = {0, 0, 0},---0.87, 0.22, 0
					--required = {{station = 6,loadout = {"{UH60_FUEL_TANK_230}"}}},
					attach_point_oriented = true,
					forbidden =
					{
						{loadout = { "<CLEAN>" }, station = 1},
						{loadout = { "<CLEAN>" }, station = 6},
						{loadout = { "<CLEAN>" }, station = 7},
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3},--ANDR0ID Added
					}
				},
				{
					CLSID = "<CLEAN>",
					arg_value = 1,
					required =
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
				},
--ANDR0ID Added---------------------------------------------------------------------
		
				{CLSID = "M261_MK151", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M229}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M257}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M259}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M274}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M282}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added (hellfire)
				{CLSID = "{M299_2xAGM_114K}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{4F977A2A-CD25-44df-90EF-164BFA2AE72F}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_WP
				{CLSID = "{LAU68_FFAR_MK1HE}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HE
				{CLSID = "{LAU68_FFAR_MK5HEAT}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HEAT
				{CLSID = "{647C5F26-BDD1-41e6-A371-8DE1E4CC0E94}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Para_Ilum
				{CLSID = "{0877B74B-5A00-4e61-BA8A-A56450BA9E27}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice_Smoke
				{CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice
				{CLSID = "{UH60_M134P}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{UH60_M134P_LT}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{UH60_M134P_NT}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{AH6_GAU-19}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--From AH6 MOD, credit to nibbylot 
				{CLSID = "{AH6_GAU-19_NT}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--From AH6 MOD, credit to nibbylot 
				
				{CLSID = "{UH_60_M230}", arg_value = 0, attach_point_position = {0, 0, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID
								
				{CLSID = "{LWL_12_M282_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID LWL-12 MPP 
				{CLSID = "{LWL_12_SMOKE_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID LWL-12 SMOKE MPP Mix 
				{CLSID = "{LWL_12_SMOKE2_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID LWL-12 SMOKE MPP Mix 
--End ANDR0ID Added---------------------------------------------------------------
			}
        ),
        pylon(3, 0, 0, 0, 0,
            {
               use_full_connector_position = false,
			   --connector = "pylon2",
			   --arg = 123,
			   DisplayName = "L Gunner / Torp" --ANDR0ID Modified 
            },
            {
				{
					CLSID = "{UH60_SEAT_GUNNER_L}",
				},
				
				{				
					CLSID = "DIS_mk46torp", arg_value = 0, attach_point_position = {-.853, -1.844, -1.348}, --ANDR0ID Added
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{{loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, --ANDR0ID Added 
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},
				{				
					CLSID = "{LAU-131 - 7 AGR-20 M282}", arg_value = 0, attach_point_position = {0.78, -1.635, -1.97}, --ANDR0ID Added APKWS MPP
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{Seahawk_Pylon}"}},
					},
					forbidden =
					{{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},	
				{				
					CLSID = "{LAU_61_AGR_20_APKWS}", arg_value = 0, attach_point_position = {0.8, -1.7, -1.97}, --ANDR0ID Added Custom x19 APKWS MPP
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{Seahawk_Pylon}"}},
					},
					forbidden =
					{{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},
								
				{				
					CLSID = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", arg_value = 0, attach_point_position = {0.88, -1.747, -2}, --ANDR0ID Added HELLFIREx4 
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{Seahawk_Pylon}"}},
					},
					forbidden =
					{{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},	
				{				
					CLSID = "AGM114x2_OH_58", arg_value = 0, attach_point_position = {0.88, -1.525, -2}, --ANDR0ID Added HELLFIREx2
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{Seahawk_Pylon}"}},
					},
					forbidden =
					{{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},								
				{
					CLSID = "{JAYHAWK_Dual_120_Tank}",
					arg_value = 0, 
					attach_point_position = {-0.3, -2.15, -1.7},
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{MH60_J_JAYHAWK}"}},
					},
					forbidden =
					{{loadout = { "DIS_mk46torp" }, station = 5}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},	
				{
					CLSID = "{JAYHAWK_FUEL_TANK_120}",
					arg_value = 0, 
					attach_point_position = {-0.35, -2.1, -1.35},
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{MH60_J_JAYHAWK}"}},
					},
					forbidden =
					{{loadout = { "DIS_mk46torp" }, station = 5}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},					
					},
				},
				{
					CLSID = "{SEAHAWK_FUEL_TANK_120}",
					arg_value = 0, 
					attach_point_position = {-0.35, -2.1, -1.35},
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{{loadout = { "{MH60_PAVEHAWK}" }, station = 4}, --ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 5},
					{loadout = { "{UH_60_M230}" }, station = 5},
					{loadout = { "{M261_M282}" }, station = 5},
					{loadout = { "{AH6_GAU-19}" }, station = 5},
					},
				},
				{CLSID = "{M261_M282}", arg_value = 0, attach_point_position = {.997, -1.28, -2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 5},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
            	{CLSID = "{AH6_GAU-19}", arg_value = 0, attach_point_position = {.997, -1.06, -2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 5},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{UH_60_M230}", arg_value = 0, attach_point_position = {0.797, -1.244, -2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 5},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{LWL_12_M282_MPP}", arg_value = 0, attach_point_position = {0.997, -1.277, -2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 5},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{LWL_12_SMOKE2_MPP}", arg_value = 0, attach_point_position = {0.997, -1.277, -2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 5},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{LWL_12_SMOKE_MPP}", arg_value = 0, attach_point_position = {0.997, -1.277, -2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 5},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
            }
        ),
		pylon(4, 0, 0, 0, 0,
            {
               use_full_connector_position = false,
			   --connector = "pylon2",
			   --arg = 123,
			   DisplayName = "Cargo"
            },
            {
				{
					CLSID = "{UH60_SEAT_CARGO_REAR}",
				},
				{
					CLSID = "{UH60_SEAT_CARGO_ALL}",
				},
				{
					CLSID = "{MH60_J_JAYHAWK}",--ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {2.42, -1.27, 0},
					attach_point_oriented = true,
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3},--ANDR0ID Added
					}
				},
				{
					CLSID = "{Seahawk_Pylon}",--ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {2.42, -1.27, 0},
					attach_point_oriented = true,
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{
						{loadout = { "DIS_mk46torp" }, station = 3}, --ANDR0ID Added
					}
				},
				{
					CLSID = "{MH60_PAVEHAWK}",--ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {2.4, -1.33, -0.035},
					attach_point_oriented = true,
					forbidden =
					{
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5},--ANDR0ID Added
					}
				},
				{
					CLSID = "{MH60_L}",--ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {2.4, -1.33, -0.035},
					attach_point_oriented = true,
					forbidden =
					{
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5},--ANDR0ID Added
					}
				},
				{
					CLSID = "{STUBBY}",--ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {0, 0, 0},
					attach_point_oriented = true,
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5},--ANDR0ID Added
					}
				},
            }
        ),
		pylon(5, 0, 0, 0, 0,
            {
               use_full_connector_position = false,
			   --connector = "pylon2",
			   --arg = 123,
			   DisplayName = "R Gunner / Torp" --ANDR0ID Modified
            },
            {
				{
					CLSID = "{UH60_SEAT_GUNNER_R}",
				},
				
				{				
					CLSID = "DIS_mk46torp", arg_value = 0, attach_point_position = {-.853, -1.844, 1.348}, --ANDR0ID Added 
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{{loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					},
				},	
								{				
					CLSID = "DIS_mk54torp", arg_value = 0, attach_point_position = {-.853, -1.844, 1.348}, --ANDR0ID, from Tanuki44
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{{loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					},
				},
				{
					CLSID = "{JAYHAWK_FUEL_TANK_80}",
					arg_value = 0, 
					attach_point_position = {-1.25, -2.1, 1.37},
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{MH60_J_JAYHAWK}"}},
					},
					forbidden =
					{{loadout = { "DIS_mk46torp" }, station = 3}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 3},
					{loadout = { "{UH_60_M230}" }, station = 3},
					{loadout = { "{M261_M282}" }, station = 3},
					{loadout = { "{AH6_GAU-19}" }, station = 3},
					{loadout = { "AGM114x2_OH_58" }, station = 3},
					{loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}"}, station = 3},
					{loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3},
					{loadout = { "{LAU-131 - 7 AGR-20 M282}"}, station = 3},
					},
				},
				{
					CLSID = "{SEAHAWK_FUEL_TANK_120}",
					arg_value = 0, 
					attach_point_position = {-.95, -2.07, 1.37},
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					},
					forbidden =
					{{loadout = { "DIS_mk46torp" }, station = 5}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 3},
					{loadout = { "{UH_60_M230}" }, station = 3},
					{loadout = { "{M261_M282}" }, station = 3},
					{loadout = { "{AH6_GAU-19}" }, station = 3},
					{loadout = { "AGM114x2_OH_58" }, station = 3},
					{loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}"}, station = 3},
					{loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3},
					{loadout = { "{LAU-131 - 7 AGR-20 M282}"}, station = 3},
					},
				},
				{
					CLSID = "{JAYHAWK_FUEL_TANK_120}",
					arg_value = 0, 
					attach_point_position = {-.95, -2.07, 1.37},
					required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{MH60_J_JAYHAWK}"}},
					},
					forbidden =
					{{loadout = { "DIS_mk46torp" }, station = 5}, --ANDR0ID Added
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{STUBBY}" }, station = 4},
					{loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3},
					{loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3},
					{loadout = { "{LWL_12_M282_MPP}" }, station = 3},
					{loadout = { "{UH_60_M230}" }, station = 3},
					{loadout = { "{M261_M282}" }, station = 3},
					{loadout = { "{AH6_GAU-19}" }, station = 3},
					{loadout = { "AGM114x2_OH_58" }, station = 3},
					{loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}"}, station = 3},
					{loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3},
					{loadout = { "{LAU-131 - 7 AGR-20 M282}"}, station = 3},
					},
				},
				
				{CLSID = "{M261_M282}", arg_value = 0, attach_point_position = {.997, -1.28, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
            	{CLSID = "{AH6_GAU-19}", arg_value = 0, attach_point_position = {.997, -1.06, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", arg_value = 0, attach_point_position = {.997, -1.311, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					{loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 1}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 2}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 6}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 7}, 		
					}
				},
				{CLSID = "{UH_60_M230}", arg_value = 0, attach_point_position = {0.797, -1.244, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{LWL_12_M282_MPP}", arg_value = 0, attach_point_position = {0.997, -1.277, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{LWL_12_SMOKE2_MPP}", arg_value = 0, attach_point_position = {0.997, -1.277, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
				{CLSID = "{LWL_12_SMOKE_MPP}", arg_value = 0, attach_point_position = {0.997, -1.277, 2.058}, attach_point_oriented = true, 					
				required = 
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
						{station = 4,loadout = {"{STUBBY}"}},
					},
					forbidden = {{loadout = { "DIS_mk46torp" }, station = 3},
					{loadout = { "{MH60_PAVEHAWK}" }, station = 4},--ANDR0ID Added
					{loadout = { "{MH60_L}" }, station = 4},
					{loadout = { "{MH60_J_JAYHAWK}" }, station = 4},
					{loadout = { "{Seahawk_Pylon}" }, station = 4},
					}
				},
			}
        ),
		pylon(6, 0, 0.797, -1.244, -2.058,
           {
               use_full_connector_position = true,
			   --connector = "pylon2", --"Removed" 
			   arg = 123,
			   DisplayName = "L Inbd" --changed
            },
            {
				{
					CLSID = "{UH60_FUEL_TANK_230}",
					connector = "pylon2", --ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {0, 0, 0}, -- -0.87, 0.22, 0
					--required = {{station = 2,loadout = {"{UH60_FUEL_TANK_230}"}}},
					attach_point_oriented = true,
					forbidden =
					{
						{loadout = { "<CLEAN>" }, station = 1},
						{loadout = { "<CLEAN>" }, station = 2},
						{loadout = { "<CLEAN>" }, station = 7},
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3},--ANDR0ID Added
					}
				},
				{
					CLSID = "<CLEAN>",
					arg_value = 1,
					required =
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 7,loadout = {"<CLEAN>"}},
					}
				},
--ANDR0ID Added---------------------------------------------------------------------				
				
				{CLSID = "M261_MK151", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M229}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M257}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M259}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M274}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M282}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added (hellfire)
				{CLSID = "{M299_2xAGM_114K}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{4F977A2A-CD25-44df-90EF-164BFA2AE72F}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_WP
				{CLSID = "{LAU68_FFAR_MK1HE}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HE
				{CLSID = "{LAU68_FFAR_MK5HEAT}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HEAT
				{CLSID = "{647C5F26-BDD1-41e6-A371-8DE1E4CC0E94}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Para_Ilum
				{CLSID = "{0877B74B-5A00-4e61-BA8A-A56450BA9E27}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice_Smoke
				{CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice
				{CLSID = "{UH60_M134P}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{UH60_M134P_LT}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{UH60_M134P_NT}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{AH6_GAU-19}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--From AH6 MOD, credit to nibbylot 
				{CLSID = "{AH6_GAU-19_NT}", arg_value = 0, attach_point_position = {0.2, 0.18, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--From AH6 MOD, credit to nibbylot 
				
				{CLSID = "{UH_60_M230}", arg_value = 0, attach_point_position = {0, 0, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID
				
				{CLSID = "{LWL_12_M282_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID LWL-12 MPP 
				{CLSID = "{LWL_12_SMOKE_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID LWL-12 Smoke and MPP mix
				{CLSID = "{LWL_12_SMOKE2_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},--ANDR0ID LWL-12 Smoke and MPP mix

--END ANDR0ID Added--------------------------------------------------------------------
            }
        ),
        pylon(7, 0, 0.797, -1.244, -2.844,
            {
               use_full_connector_position = true,
			   --connector = "pylon1", --"Removed"
			   arg = 123, 
			   DisplayName = "L Outbd" --changed
            },
            {
				{
					CLSID = "{UH60_FUEL_TANK_230}",
					connector = "pylon1", --ANDR0ID Added
					arg_value = 0, 
					attach_point_position = {0, 0, 0}, ---0.87, 0.22, 0
					required = {{station = 1,loadout = {"{UH60_FUEL_TANK_230}"}}},
					attach_point_oriented = true,
					forbidden =
					{
						{loadout = { "<CLEAN>" }, station = 1},
						{loadout = { "<CLEAN>" }, station = 2},
						{loadout = { "<CLEAN>" }, station = 6},
						{loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3},--ANDR0ID Added
					}
				},
				{
					CLSID = "<CLEAN>",
					arg_value = 1,
					required =
					{
						{station = 1,loadout = {"<CLEAN>"}},
						{station = 2,loadout = {"<CLEAN>"}},
						{station = 6,loadout = {"<CLEAN>"}},
					},
				},	
--ANDR0ID Added--------------------------------------------------------------------				
				
				{CLSID = "M261_MK151", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M229}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M257}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M259}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M274}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{M261_M282}", arg_value = 0, attach_point_position = {0.15, -0.036, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}}}, --ANDR0ID Added (hellfire)
				{CLSID = "{M299_2xAGM_114K}", arg_value = 0, attach_point_position = {.2, -0.067, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added
				{CLSID = "{4F977A2A-CD25-44df-90EF-164BFA2AE72F}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_WP
				{CLSID = "{LAU68_FFAR_MK1HE}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HE
				{CLSID = "{LAU68_FFAR_MK5HEAT}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_HEAT
				{CLSID = "{647C5F26-BDD1-41e6-A371-8DE1E4CC0E94}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Para_Ilum
				{CLSID = "{0877B74B-5A00-4e61-BA8A-A56450BA9E27}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice_Smoke
				{CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}", arg_value = 0, attach_point_position = {0.1, 0.053, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 1}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID Added LAU_68_Practice
			
			
				{CLSID = "{ATAS_2xAIM-92C}", arg_value = 0, attach_point_position = {0.2, 0.1, 0.0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},
                {CLSID = "{ATAS_2xAIM-92E}", arg_value = 0, attach_point_position = {0.2, 0.1, 0.0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},
                {CLSID = "{ATAS_2xAIM-92J}", arg_value = 0, attach_point_position = {0.2, 0.1, 0.0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}},
			
				{CLSID = "{LWL_12_M282_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID LWL-12 MPP
				{CLSID = "{LWL_12_SMOKE_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID LWL-12 Smoke and MPP mix
				{CLSID = "{LWL_12_SMOKE2_MPP}", arg_value = 0, attach_point_position = {0.19, -0.033, 0}, attach_point_oriented = true, forbidden = {{loadout = { "<CLEAN>" }, station = 2}, {loadout = { "<CLEAN>" }, station = 6}, {loadout = { "<CLEAN>" }, station = 7}, {loadout = { "DIS_mk46torp" }, station = 3}, {loadout = { "DIS_mk46torp" }, station = 5}, {loadout = { "{LAU-131 - 7 AGR-20 M282}" }, station = 3}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 3}, {loadout = { "AGM114x2_OH_58" }, station = 3}, {loadout = { "{JAYHAWK_Dual_120_Tank}" }, station = 3}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{MH60_J_JAYHAWK}" }, station = 4}, {loadout = { "{Seahawk_Pylon}" }, station = 4}, {loadout = { "{JAYHAWK_FUEL_TANK_80}" }, station = 5}, {loadout = { "{JAYHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{LAU_61_AGR_20_APKWS}" }, station = 3}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 5}, {loadout = { "{SEAHAWK_FUEL_TANK_120}" }, station = 3}, {loadout = { "{STUBBY}" }, station = 4}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 3}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 3}, {loadout = { "{LWL_12_M282_MPP}" }, station = 3}, {loadout = { "{UH_60_M230}" }, station = 3}, {loadout = { "{M261_M282}" }, station = 3}, {loadout = { "{AH6_GAU-19}" }, station = 3}, {loadout = { "{LWL_12_SMOKE_MPP}" }, station = 5}, {loadout = { "{LWL_12_SMOKE2_MPP}" }, station = 5}, {loadout = { "{LWL_12_M282_MPP}" }, station = 5}, {loadout = { "{UH_60_M230}" }, station = 5}, {loadout = { "{M261_M282}" }, station = 5}, {loadout = { "{AH6_GAU-19}" }, station = 5}, {loadout = { "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}" }, station = 5}}}, --ANDR0ID LWL-12 Smoke and MPP mix

			}
        ),
        pylon(8, 0, 2.78, -2.14, -0.57,      -- Y longitudinal, Z élévation, X transversal -- 2.8, -2.1, -0.60
		    {
               use_full_connector_position = true,
			   DisplayName = "CoPilot"
            },
            {
				{
					CLSID = "{UH60_COPILOT}",
				},
            }
        ),
		pylon(9, 0, 2.78, -2.14, 0.60,      -- Y longitudinal, Z élévation, X transversal
		    {
               use_full_connector_position = true,
			   DisplayName = "Pilot"
            },
            {
				{
					CLSID = "{UH60_PILOT}",
				},
            }	
        ),			
		pylon(10, 0, 1.95, -1.15, -1.65,      -- Y longitudinal, Z élévation, X transversal 1.97, -1.15, -1.65
		    {
				use_full_connector_position = true,
				DisplayName = "M134 L"
            },		
			{
				{				
					CLSID = "{UH60_M134L}",
					required = {{station = 12,loadout = {"{UH60_MOUNT_M134}"}}},
				},
				{				
					CLSID = "{UH60_M134L_LT}",--ANDR0ID Added, less tracers
					required = {{station = 12,loadout = {"{UH60_MOUNT_M134}"}}},
				},
				{				
					CLSID = "{UH60_M134L_NT}",--ANDR0ID Added, no tracers
					required = {{station = 12,loadout = {"{UH60_MOUNT_M134}"}}},
				},
			}
        ),
		pylon(11, 0, 1.95, -1.15, 1.65,      -- Y longitudinal, Z élévation, X transversal 1.97, -1.15, 1.65
		    {
				use_full_connector_position = true,
				DisplayName = "M134 R"
            },
			{
				{				
					CLSID = "{UH60_M134R}",
					required = {{station = 12,loadout = {"{UH60_MOUNT_M134}"}}},
				},
				{				
					CLSID = "{UH60_M134R_LT}", --ANDR0ID Added, less tracers
					required = {{station = 12,loadout = {"{UH60_MOUNT_M134}"}}},
				},
				{				
					CLSID = "{UH60_M134R_NT}", --ANDR0ID Added, no tracers
					required = {{station = 12,loadout = {"{UH60_MOUNT_M134}"}}},
				},
			}
        ),
		pylon(12, 0, 0, 0, 0,      -- Y longitudinal, Z élévation, X transversal 1.97, -1.15, -1.65
		    {
				use_full_connector_position = false,
				DisplayName = "Mounts"
            },		
			{
				{				
					CLSID = "{UH60_MOUNT_M134}",
				},				
			}
        ),
	},

	Tasks =
	{ 	-- defined in db_units_planes.lua
        aircraft_task(Transport),
        aircraft_task(Reconnaissance),
    },
	DefaultTask = aircraft_task(Transport),

	LandRWCategories = 	-- adds these takeoff and landing options avaliable in mission editor
    {
		[1] =
        {
           Name = "HelicopterCarrier",
        },
        [2] =
        {
           Name = "AircraftCarrier",
        },
    },
	TakeOffRWCategories =
    {	[1] =
        {
            Name = "HelicopterCarrier",
        },
        [2] =
        {
           Name = "AircraftCarrier",
        },
    },

	Damage = verbose_to_dmg_properties( --index meaning see in Scripts\Aircrafts\_Common\Damage.lua
	{		-- deps_cells defines what other parts get destroyed along with it
		["MAIN"]  			= {critical_damage = 10, args = {151}},
		["TAIL"]			= {critical_damage = 4, args = {159}, deps_cells = {"BLADE_5_IN", "BLADE_5_CENTER", "BLADE_6_IN", "BLADE_6_CENTER"}},
		["BLADE_1_IN"]		= {critical_damage = 3, args = {161}}, -- 64
		["BLADE_1_CENTER"]	= {critical_damage = 3, args = {161}, deps_cells = {"BLADE_1_IN"}}, -- 65
		["BLADE_2_IN"]		= {critical_damage = 3, args = {162}}, -- 67
		["BLADE_2_CENTER"]	= {critical_damage = 3, args = {162}, deps_cells = {"BLADE_2_IN"}}, -- 68
		["BLADE_3_IN"]		= {critical_damage = 3, args = {163}}, -- 70
		["BLADE_3_CENTER"]	= {critical_damage = 3, args = {163}, deps_cells = {"BLADE_3_IN"}}, -- 71
		["BLADE_4_IN"]		= {critical_damage = 3, args = {164}}, -- 73
		["BLADE_4_CENTER"]	= {critical_damage = 3, args = {164}, deps_cells = {"BLADE_4_IN"}}, -- 74
		["BLADE_5_IN"]		= {critical_damage = 3, args = {165}}, -- 76
		["BLADE_5_CENTER"]	= {critical_damage = 3, args = {165}, deps_cells = {"BLADE_5_IN"}}, -- 77
		["BLADE_6_IN"]		= {critical_damage = 3, args = {166}}, -- 79
		["BLADE_6_CENTER"]	= {critical_damage = 3, args = {166}, deps_cells = {"BLADE_6_IN"}}, -- 80
		["WHEEL_R"]         = {critical_damage = 3},
		["WHEEL_L"]         = {critical_damage = 3},
		["WHEEL_F"]         = {critical_damage = 3},
	}),

	Failures =
	{ -- not working yet
		{ id = 'engfail',	label = _('ENGINE'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'rotor',		label = _('ROTOR'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
	},

	DamageParts =
	{	-- parts that fall off when aircraft is hit or crashes
		[1] = "UH-60L_Tail",  --wing right
		[2] = "UH-60L_Skid",  --wing left
		--[3] = "",    --nose part
		[4] = "UH-60L_Skid",  -- tail part
		[5] = "UH-60L_Rotor",	--blade
	},

	--transmits draw arguments over multiplyer for others to see
	net_animation = 
	{   
		9, --collective
		11, -- stick roll
		15, --stick pitch
		37,-- main rotor spin
		14, -- stab
		900, -- rotor blur
		22, -- probe
		122, -- probe extension
		123, -- esss
		-- LIGHTS
		600, -- lower white ac
		601, -- upper white ac
		602, -- lower red ac
		603, -- upper red ac
		604, -- pos l/r non esss
		605, -- cabin blue
		606, -- cabin white
		607, -- ll extend/retract
		608, -- ll toggle
		609, -- pos l/r esss
		610, -- pos tail
		611, -- sl extend/retract
		612, -- sl swivel
		613, -- sl toggle
		614, -- formation lights
		250, -- glareshield
		251, -- dome light
		-- DOORS
		38, -- plt door
		400, -- cplt door
		401, -- l cargo door
		402, -- r cargo door
		403, -- l gunner hatch
		404, -- r gunner hatch
		-- AND THAT'S ALL FOLKS! 32
		501, -- pedal left brake
		502, -- pedal right brake
	},

	--sound_name = "Rotor", -- rotor sound from Sounds/sdef

	engine_data =
	{  -- most of these are unknown right now, but they are only for AI
		power_take_off	=	473,
		power_max	=	473,
		power_WEP	=	473,
		power_TH_k =
		{
			[1] = 	{0,	-230.8,	2245.6},
			[2] = 	{0,	-230.8,	2245.6},
			[3] = 	{0,	-325.4,	2628.9},
			[4] = 	{0,	-235.6,	1931.9},
		},
		SFC_k = 	{2.045e-007,	-0.0006328,	0.803},
		power_RPM_k = 	{-0.08639,	0.24277,	0.84175},
		power_RPM_min	=	9.1384,
		--sound_name	= "EngineTV3117", -- engine sound from Sounds/sdef
	},

	HumanRadio =
	{
        frequency     = 124.0,
        editable     = true,
        minFrequency     = 30.000,
        maxFrequency     = 399.975,
		rangeFrequency = {
			{min = 30.0,  max = 87.975},
			{min = 108.0, max = 173.975},
			{min = 225.0, max = 399.975},
		},
        modulation     = MODULATION_AM
    },

    panelRadio =
	{
        [1] =
		{
            name = _("AN/ARC-201 (1)"), --30 to 87.975 MHz FM
            range =
			{
                {min = 30.0, max = 87.975}
            },
			channels =
			{
				[1] = { name = _("AN/ARC-201 Channel 1"),	default = 30.0}, --, connect = true}, -- default
				[2] = { name = _("AN/ARC-201 Channel 2"),	default = 31.0},
				[3] = { name = _("AN/ARC-201 Channel 3"),	default = 32.0},
				[4] = { name = _("AN/ARC-201 Channel 4"),	default = 33.0},
				[5] = { name = _("AN/ARC-201 Channel 5"),	default = 40.0},
				[6] = { name = _("AN/ARC-201 Channel 6"),	default = 41.0},
				[7] = { name = _("AN/ARC-201 Channel 0"),	default = 42.0},
				[8] = { name = _("AN/ARC-201 Channel RG"),	default = 50.0},
			},
        },
		[2] =
		{
			name = _("AN/ARC-164(V)"), -- 225.000 to 399.975 MHz AM
			range =
			{
				{min = 225.0, max = 399.975}
			},
			channels =
			{  -- matches L-39C except for channel 8, which was changed to a Georgian airport and #20 which is NTTR only (for now).  This radio goes 1-20 not 0-19.
				[1] = { name = _("AN/ARC-164 Channel 1"),	default = 264.0},	-- mineralnye-vody (URMM) : 264.0
				[2] = { name = _("AN/ARC-164 Channel 2"),	default = 265.0},	-- nalchik (URMN) : 265.0
				[3] = { name = _("AN/ARC-164 Channel 3"),	default = 256.0},	-- sochi-adler (URSS) : 256.0
				[4] = { name = _("AN/ARC-164 Channel 4"),	default = 254.0},	-- maykop-khanskaya (URKH), nellis (KLSV) : 254.0
				[5] = { name = _("AN/ARC-164 Channel 5"),	default = 250.0},	-- anapa (URKA) : 250.0
				[6] = { name = _("AN/ARC-164 Channel 6"),	default = 270.0},	-- beslan (URMO) : 270.0
				[7] = { name = _("AN/ARC-164 Channel 7"),	default = 257.0},	-- krasnodar-pashkovsky (URKK) : 257.0
				[8] = { name = _("AN/ARC-164 Channel 8"),	default = 258.0},	-- sukhumi-babushara (UGSS) : 255.0
				[9] = { name = _("AN/ARC-164 Channel 9"),	default = 262.0},	-- kobuleti (UG5X) : 262.0
				[10] = { name = _("AN/ARC-164 Channel 10"),	default = 259.0},	-- gudauta (UG23) : 259.0
				[11] = { name = _("AN/ARC-164 Channel 11"),	default = 268.0},	-- tbilisi-soganlug (UG24) : 268.0
				[12] = { name = _("AN/ARC-164 Channel 12"),	default = 269.0},	-- tbilisi-vaziani (UG27) : 269.0
				[13] = { name = _("AN/ARC-164 Channel 13"),	default = 260.0},	-- batumi (UGSB) : 260.0
				[14] = { name = _("AN/ARC-164 Channel 14"),	default = 263.0},	-- kutaisi-kopitnari (UGKO) : 263.0
				[15] = { name = _("AN/ARC-164 Channel 15"),	default = 261.0},	-- senaki-kolkhi (UGKS) :  261.0
				[16] = { name = _("AN/ARC-164 Channel 16"),	default = 267.0},	-- tbilisi-lochini (UGTB) : 267.0
				[17] = { name = _("AN/ARC-164 Channel 17"),	default = 251.0},	-- krasnodar-center (URKI), creech (KINS) : 251.0
				[18] = { name = _("AN/ARC-164 Channel 18"),	default = 253.0},	-- krymsk (URKW), mccarran (KLAS) : 253.0
				[19] = { name = _("AN/ARC-164 Channel 19"),	default = 266.0},	-- mozdok (XRMF) : 266.0
				[20] = { name = _("AN/ARC-164 Channel 20"),	default = 252.0},	-- N/A, groom lake/homey (KXTA) : 252.0
			},
		},
		[3] =
		{
            name = _("AN/ARC-186(V)"), --116.000 to 151.975 MHz AM
            range =
			{
                {min = 30.000, max = 151.975}
            },
			channels =
			{
				[1] = { name = _("AN/ARC-186 Channel 1"),	default = 124.000}, --, connect = true}, -- default
				[2] = { name = _("AN/ARC-186 Channel 2"),	default = 127.500}, --, connect = true}, -- default
			},
        },
		[4] =
		{
            name = _("AN/ARC-201 (2)"), --30 to 87.975 MHz FM
            range =
			{
                {min = 30.0, max = 87.975}
            },
			channels =
			{
				[1] = { name = _("AN/ARC-201 Channel 1"),	default = 30.0}, --, connect = true}, -- default
				[2] = { name = _("AN/ARC-201 Channel 2"),	default = 31.0},
				[3] = { name = _("AN/ARC-201 Channel 3"),	default = 32.0},
				[4] = { name = _("AN/ARC-201 Channel 4"),	default = 33.0},
				[5] = { name = _("AN/ARC-201 Channel 5"),	default = 40.0},
				[6] = { name = _("AN/ARC-201 Channel 6"),	default = 41.0},
				[7] = { name = _("AN/ARC-201 Channel 0"),	default = 42.0},
				[8] = { name = _("AN/ARC-201 Channel RG"),	default = 50.0},
			},
        },
		[5] =
		{
            name = _("AN/ARC-220"), -- 2.000 to 29.9999 MHz
            range =
			{
                {min = 2.0, max = 29.9999}
            },
			channels =
			{
				[1] = { name = _("AN/ARC-220 Channel 1"),	default = 3.000}, --, connect = true}, -- default
				[2] = { name = _("AN/ARC-220 Channel 2"),	default = 10.00}, --, connect = true}, -- default
			},
        },
    },

	lights_data =
	{
		typename =	"collection",
		lights 	 = 
		{
			[1]	=
			{
				typename	=	"collection", -- strobe
				lights =
				{
					{typename = "argnatostrobelight", argument_1 = 600, period = 1.2, phase_shift = 0},	-- white lower
					{typename = "argnatostrobelight", argument_1 = 601, period = 1.2, phase_shift = 0},	-- white upper
				},
			},
			[2]	=
			{
				typename = "collection", -- spot
				lights =
				{
					{typename  = "argumentlight",	argument  = 613}, -- landing light?
				},
			},
			[3]	=
			{
				typename = "collection", -- nav
				lights =
				{
					{typename  = "argumentlight",	argument  = 604}, -- left/right
					{typename  = "argumentlight",	argument  = 610}, -- tail
					{typename  = "argumentlight",	argument  = 251}, -- tail
					{typename  = "argumentlight",	argument  = 605}, -- tail
				},
			},
			[4]	=
			{
				typename = "collection", -- formation
				lights =
				{
					{typename  = "argumentlight",	argument  = 614},
				},
			},
			[5] = {}, -- tips
            [6] = {}, -- refuel
            [7] =
			{
				typename	=	"collection", -- strobe
				lights =
				{
					{typename = "argnatostrobelight", argument_1 = 602, period = 1.2, phase_shift = 0},	-- red lower
					{typename = "argnatostrobelight", argument_1 = 603, period = 1.2, phase_shift = 0},	-- red upper
				},
			},  -- Anti-Collision
		},
	},

	-- Aircraft Additional Properties
	AddPropAircraft =
	{
		{
			id = "FuelProbeEnabled",
			control = "checkbox",
			label = _("Enable Fuel Probe"),
			defValue = false,
			weightWhenOn = 0,
			--arg = 22,
		},
		--{id = "SoloFlight", control = 'checkbox' , label = _('Solo Flight'), defValue = false, weightWhenOn = 0},
		{id = "NetCrewControlPriority" , control = 'comboList', label = _('Aircraft Control Priority'), playerOnly = true,
		  values = {{id =  0, dispName = _("Pilot")},
					{id =  1, dispName = _("Instructor")},
					{id = -1, dispName = _("Ask Always")},
					{id = -2, dispName = _("Equally Responsible")}},
		  defValue  = 1,
		  wCtrl     = 150
		},
	},
}

add_aircraft(UH60L)
